0.223 2020-08-06
----------------


MAME Testers Bugs Fixed
-----------------------
- 02603: [Sound] (cinemat.cpp) tailg: Phasor sample plays incorrectly. (Aaron Giles)
- 03307: [Sound] (cinemat.cpp) ripoff: Multiple issues with sound samples. (Aaron Giles)
- 03720: [Sound] (cinemat.cpp) speedfrk, wotw, wotwc: Incomplete sound samples implementation. (Aaron Giles)
- 06033: [Gameplay] (sothello.cpp) sothello: Gameplay logic is broken. (hap)
- 06896: [Gameplay] (gottlieb.cpp) krull: Invisible enemies cause deaths in cave scene. (dink)
- 07237: [DIP/Input] (vsmile.cpp) vsmileg [walle]: Wall-E does not recognise the joystick controller. (Ryan Holtz)
- 07340: [DIP/Input] (vegas.cpp) nbagold, nbanfl and nbashowt: Digital joystick inputs are not present. (Ted Green)
- 07537: [Sound] (nemesis.cpp) twinbee: Speech does not play. (AJR)
- 07608: [Gameplay] (uzebox.cpp) uzebox: All systems (except craft) that use the avr8 CPU have regressed severely. (hap)
- 07644: [DIP/Input] (pcipc.cpp) pcpci: Mouse movement causes spurious keyboard input. (Samuele Zannoli)
- 07687: [Compiling] AsmJit fails to compile for ARM targets. (Belegdol)
- 07689: [Sound] (s8a.cpp) scrzy_l1: Sounds do not play. (Robbbert)
- 07690: [Crash/Freeze] (kingdrby.cpp) cowrace: [debug] Assert upon start. (AJR)
- 07691: [Crash/Freeze] (eprom.cpp) eprom, eprom2: Game freezes upon end of demonstration. (AJR)
- 07693: [DIP/Input] (dooyong.cpp) sadari: Third button (activate power-up) is not present. (hap)
- 07696: [Graphics] (taito_l.cpp) fhawk, fhawkj: Background graphics are not displayed correctly. (hap)
- 07708: [DIP/Input] (segas18.cpp) wwallyj, lghost, and clones: Controls do not work. (Ivan Vangelista)


New working machines
--------------------
Conny / VideoJet Dora l'exploratrice - Pocket Dream Console (VideoJet, France) [TeamEurope, David Haywood]
Conny / VideoJet PDC150 Tactile - Pocket Dream Console (VideoJet, France) [TeamEurope, David Haywood]
Conny / VideoJet PDC200 - Pocket Dream Console (VideoJet, France) [TeamEurope, David Haywood]
Conny / VideoJet PDC40 Tactile - Pocket Dream Console (VideoJet, France) [TeamEurope, David Haywood]
Conny / VideoJet PDC50 - Pocket Dream Console (VideoJet, France) [TeamEurope, David Haywood]
Conny / VideoJet Plug Play TV Games 2 (4-in-1) (VideoJet, France) [TeamEurope, David Haywood]
DataCash Systems / Staid CompuChess: The Second Edition [hap, Berger, Achim]
Dice game [Aleksandr Gofman, MetalliC]
Elektor AVR-Max Chess Computer (English) [hap]
Fidelity Electronics Chess Challenger (model UCC10, 10 levels) [hap, Berger, Achim]
Guitar Star (Europe, PAL) [David Haywood, TeamEurope]
Linus Åkesson / kryo The Hardware Chiptune Project [Ryan Holtz]
Linus Åkesson Phasor [Ryan Holtz]
Linus Åkesson Power Ninja Action Challenge [Ryan Holtz]
Micro Vs. System: Donkey Kong Hockey [algestam, Ryan Holtz]
Millennium 2000 GmbH Millennium Arcade 101 (M489) (Game Station 2 101-in-1) [TeamEurope, David Haywood]
Motorola EXORterm 155 [68bit]
Motorola M6800 EXORciser (M68SDT) [68bit]
Novag Micro Chess [hap, Berger, Achim]
SciSys / Intelligent Games Intelligent Chess [hap, Berger, Achim]
SciSys Chess Companion [hap, Berger, Achim]
SciSys Chess Intercontinental Traveler [hap, Berger, Achim]
Senario / Marathon - Mystery Animation Inc. Totally Spies! (France) [TeamEurope, David Haywood]
Senario Vs Maxx 6-in-1 Casino / Senario Card & Casino Games [Sean Riddle, David Haywood]
Subor Sports and Dance Fit Games Mat D-555 (PAL) [David Haywood, TeamEurope]
Telko / Nintendo Bassmate Computer [algestam, Mr. Do]
Ultimate Products Ltd. Reactor 32-in-1 (NTSC) [Sean Riddle, David Haywood]
Ultimate Products Ltd. Zone Mini [Sean Riddle, David Haywood]
WinFun Guitar Buster [Sean Riddle, David Haywood]
Wireless Fitness / Dance Fit (Senario) [Sean Riddle, David Haywood, anonymous, Kev (FBN)]
Xing Wireless Interactive TV Game 'Wi TV Zone' 48-in-1 (Europe, PAL) [David Haywood, TeamEurope]


New working clones
------------------
4-in-1 (version SWS1-110984) [Siftware]
Astro Fighter (set 4) [Juan Romero, ClawGrip]
Cruis'n USA (rev L4.4) [Brian Troha, The Dumping Union]
Dead Or Alive ++ (Korea) [chacal231077]
Double Wings (set 2) [Jorge Silva]
Elektor AVR-Max-Schachzwerg (German) [hap]
Fidelity Electronics Elite A/S Challenger (Glasgow program, set 2) [Berger]
Galaxian (Cirsa Spanish bootleg) [Juan Romero, ClawGrip]
Hammerin' Harry (World, M84 hardware bootleg) [ClawGrip, Roberto Fresca, Recreativas.org, The Dumping Union]
Jack Potten's Poker (set 13, ICP-1 PCB) [Roberto Fresca, Matt B]
Jolly Joker (original program, interleaved GFX, Impera logo) [Roberto Fresca, TeamEurope]
Jolly Joker (original program, interleaved GFX, no logo) [Roberto Fresca, TeamEurope]
Master Boy (1987, Z80 hardware, Ichi-Funtel, set 2) [Retromaniacs, Recreativas.org]
Ms. Pac-Man (bootleg, set 3) [Andrew Welburn]
Ms. Pac-Man (Novatronic bootleg) [Juan Romero, ClawGrip]
New Lucky 8 Lines (set 11, W-4) [Siftware]
Pipi & Bibis / Whoopee!! (Ryouta Kikaku bootleg, decrypted) [jordigahan]
Race Drivin' (compact, prototype) [andynumbers, The Dumping Union]
Robotron: 2084 (Unidesa license) [Juan Romero, ClawGrip]
Ultimate Products Ltd. Zone 7-in-1 Sports (PAL) [David Haywood, TeamEurope]
Slap Shot (Ver 2.2 J) [Jorge Silva]
Space Trek (Video Game S.A., Spanish bootleg of Scramble) [Rubén Casaña (Retro Arcadia Valencia), Isaías Hernández]
Splash (Modular System) [jordigahan, ClawGrip, David Haywood]
Super Forte (version C, V3.6) [Berger]
Witch Star [Brian Troha, The Dumping Union]
Zero Time (Spanish bootleg) [Juan Romero, ClawGrip]


Machines promoted to working
----------------------------
Adders and Ladders (v2.1) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Barquest (v2.6) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Blox (SJM BLOX, 50p/20p Play, Version 2.0) (MPU4 Video) [Ryan Holtz, James Wall, David Haywood, Angelo Salese]
Business Computer Corporation Busicom 141-PF [Robbbert]
The Crystal Maze (v1.3) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The Crystal Maze Team Challenge (v0.9) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The Mating Game (v0.4) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
NBA Showtime / NFL Blitz 2000 (ver 2.1) [Ted Green]
NBA Showtime Gold / NFL Blitz 2000 (ver 3.0) (SportsStation) [Ted Green]
NBA Showtime: NBA on NBC (ver 2.0) [Ted Green]
The New Crystal Maze Featuring Ocean Zone (v2.2) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Nice Code Plug and Play Sudoku Game (NES based) [Sean Riddle, David Haywood, GameHistory.org]
Photo Y2K 2 / Chaoji Bi Yi Bi 2 / Dajia Lai Zhao Cha 2 / Real and Fake 2 Photo Y2K (M101XX 05/25/01 11:02:54) [iq_132, dink]
Prize Tetris (BWB) (MPU4 Video) [Ryan Holtz, James Wall, David Haywood, Angelo Salese]
SCCH LLC-1 [Robbbert]
Senario Guitar Star (US, Senario, NTSC) [David Haywood]
Strike it Lucky (v0.5) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
TaiKee Rockstar Guitar / Guitar Rock (PAL) [David Haywood]
Tetris Payout (BWB TET1 Version 2.2, set 1) (MPU4 Video) [Ryan Holtz, James Wall, David Haywood, Angelo Salese]
unknown rocket/animal-themed poker [Roberto Fresca]
Vegas Poker (prototype, release 2) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood, Highwayman]


Clones promoted to working
--------------------------
Adders and Ladders (v2.0) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The Crystal Maze (v0.1, AMLD) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The Crystal Maze (v1.1) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The Crystal Maze (v1.2) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The Crystal Maze Team Challenge (v0.8) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The Crystal Maze Team Challenge (v1.2, AMLD) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
dreamGEAR Shredmaster Jr (NTSC) [David Haywood]
Eurohard S.A. Dragon 200-E [Nigel Barnes]
The New Crystal Maze Featuring Ocean Zone (v0.1, AMLD) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The New Crystal Maze Featuring Ocean Zone (v2.0) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Photo Y2K 2 / Chaoji Bi Yi Bi 2 / Dajia Lai Zhao Cha 2 / Real and Fake 2 Photo Y2K (ver. 100, Japanese Board) [iq_132, dink]
Prize Space Invaders (BWB INV1, 50p/30p Play, Version 1.2) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Prize Tetris (BWB) (Showcase) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Sirio II (Calfesa S.L. Spanish Moon Cresta bootleg) [Ivan Vangelista]
Strike it Lucky (v0.53) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Tetris Payout (BWB TET1 Version 2.2, set 2) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Torch Computers Torch CH240 [Nigel Barnes]
VTech V.Smile Motion [Ryan Holtz]


New machines marked as NOT_WORKING
----------------------------------
El auto de papa [Victor Fernandez (City Game), ClawGrip]
Bingo Roll / Turbo Bingo? [TeamEurope, Roberto Fresca]
Captain Lucky [Siftware]
Destruction Derby [TTL] [Frank Palazzolo]
Diana Olakoa [Victor Fernandez (City Game), ClawGrip]
E-mu Systems Carnaval - Jugando con Fuego [DBWBP]
E-mu Systems EMAX II 16-Bit Digital Sound System [DBWBP]
E-mu Systems Orbit 9090 - The Dance Planet [DBWBP]
E-mu Systems Planet Phatt - The Swing System [DBWBP]
E-mu Systems Pro/Cussion Maximum Percussion Module [DBWBP]
E-mu Systems Proteus/1 16-Bit Multi-Timbral Digital Sound Module [DBWBP]
E-mu Systems Proteus/1 XR 16-Bit Multi-Timbral Digital Sound Module [DBWBP]
E-mu Systems Vintage Keys Classic Analog Keyboards [DBWBP]
Far West (Compumatic) [Victor Fernandez (City Game), ClawGrip]
Football [PinMAME]
JAKKS Pacific Inc / HotGen Ltd Hannah Montana G2 Deluxe - All in One (JAKKS Pacific TV Game)
  [Sean Riddle, David Haywood, Kev (FBN), anonymous]
JAKKS Pacific Inc / HotGen Ltd High School Musical G2 Deluxe - All in One (JAKKS Pacific TV Game)
  [Sean Riddle, David Haywood, Kev (FBN), anonymous]
JAKKS Pacific Inc Power Rangers Super Megaforce Hero Portal [David Haywood, Team Europe]
Kawai Musical Instruments Manufacturing KSP10 Digital Piano [DBWBP]
Kawai Musical Instruments Manufacturing SX-240 8-Voice Programmable Polyphonic Synthesizer [DBWBP]
Korg microKORG Synthesizer/Vocoder [DBWBP]
Korg WaveStation A/D [DBWBP]
Korg WaveStation EX [DBWBP]
Korg WaveStation SR [DBWBP]
Lexibook Console Colour - Disney's Planes [TeamEurope]
Lexibook Console Colour - Minnie Mouse [TeamEurope]
Lucky 7 (Impera) [TeamEurope, Roberto Fresca]
Macro Winners Game Sporz Wireless Duet Play Ping-Pong [Sean Riddle, David Haywood, Dave Silva]
Marvel Avengers TV Game Console (32-bit) (Lexibook) [TeamEurope, David Haywood]
Michael Jordan (1.30) [PinMAME]
Millennium 2000 GmbH Millennium Arcade 250 (M527) [TeamEurope, David Haywood]
Puzzle Me! [TeamEurope, Roberto Fresca]
Reno Reels (JPM) [David Haywood]
RS-70 648-in-1 [David Shah]
Sharp Zaurus SL-5500 "Collie" [Ryan Holtz, O. Galibert]
Sony NWS-3860 [Plamen Mihaylov, Patrick Mackinlay]
Sport Dart TV [Victor Fernandez (City Game), ClawGrip]
Susanita tiene un raton [Victor Fernandez (City Game), ClawGrip]
Tecnodarts [Victor Fernandez (City Game), ClawGrip]
Toy Story 3 (Lexibook) [Sean Riddle, Kamaal Brown, David Haywood]
unknown 'TE06' [TeamEurope, Roberto Fresca]
Unknown Compumatic ProSPDP based darts machine [jordigahan, ClawGrip]
VideoJet Kiu Games [Sean Riddle, David Haywood]
Virtual TV Ping Pong [TeamEurope, David Haywood]
Yataimura Kingyosukui (4-player, China, Ver 1.000) [Darksoft]


New clones marked as NOT_WORKING
--------------------------------
6-X (BWB) (Release 3, 20p Fixed, All - Cash) (MPU4 Video) [David Haywood]
6-X (BWB) (Release 3, 20p Fixed, Cash+Token) (set 2) (MPU4 Video) [David Haywood]
6-X (BWB) (Release 3, 20p Fixed, Cash+Token) (set 3) (MPU4 Video) [David Haywood]
6-X (BWB) (Release 3, 20p Fixed, Cash+Token, % Key) (MPU4 Video) [David Haywood]
6-X (BWB) (Release 3, 20p Fixed, Cash+Token, Datapak) (set 1) (MPU4 Video) [David Haywood]
6-X (BWB) (Release 3, 20p Fixed, Cash+Token, Datapak) (set 2) (MPU4 Video) [David Haywood]
6-X (BWB) (Release 3, 20p Fixed, Cash+Token, Datapak) (set 3) (MPU4 Video) [David Haywood]
6-X (BWB) (Release 3, 20p Switchable to 10p, All - Cash) (MPU4 Video) [David Haywood]
6-X (BWB) (Release 3, 20p Switchable to 10p, All - Cash, Datapak) (MPU4 Video) [David Haywood]
6-X (BWB) (Release 3, 20p Switchable to 10p, Cash+Token) (MPU4 Video) [David Haywood]
6-X (BWB) (Release 3, 20p Switchable to 10p, Cash+Token, % Key) (MPU4 Video) [David Haywood]
6-X (BWB) (Release 3, 20p Switchable to 10p, Cash+Token, Datapak) (set 1) (MPU4 Video) [David Haywood]
6-X (BWB) (Release 3, 20p Switchable to 10p, Cash+Token, Datapak) (set 2) (MPU4 Video) [David Haywood]
Adders and Ladders (v2.1d) (MPU4 Video) [David Haywood]
Anakonda [Robbbert]
Barquest (v2.6d) (MPU4 Video) [David Haywood]
Big 40 Poker (BWB) (Arcade Data) (set 1) (MPU4 Video) [David Haywood]
Big 40 Poker (BWB) (Arcade Data) (set 2) (MPU4 Video) [David Haywood]
Big 40 Poker (BWB) (Arcade Standard) (set 2) (MPU4 Video) [David Haywood]
Big 40 Poker (BWB) (Arcade Standard) (set 3) (MPU4 Video) [David Haywood]
Big 40 Poker (BWB) (Arcade Standard) (set 4) (MPU4 Video) [David Haywood]
Big 40 Poker (BWB) (S_Site Data + %-Key + OCDM) (MPU4 Video) [David Haywood]
Big 40 Poker (BWB) (S_Site Data + %-Key) (set 1) (MPU4 Video) [David Haywood]
Big 40 Poker (BWB) (S_Site Data + %-Key) (set 2) (MPU4 Video) [David Haywood]
Big 40 Poker (BWB) (S_Site Data) (MPU4 Video) [David Haywood]
Big 40 Poker (BWB) (S_Site Standard) (set 1) (MPU4 Video) [David Haywood]
Big 40 Poker (BWB) (S_Site Standard) (set 2) (MPU4 Video) [David Haywood]
Big Fruits (v2.0?) (set 2) (MPU4 Video) [David Haywood]
Big Fruits (v2.0?) (set 3) (MPU4 Video) [David Haywood]
Big Fruits (v2.0?) (set 4) (MPU4 Video) [David Haywood]
Bubbly Bonk (v4.0?) (20p Fixed, All - Cash) (MPU4 Video) [David Haywood]
Bubbly Bonk (v4.0?) (20p Fixed, Cash+Token, % Key) (MPU4 Video) [David Haywood]
Bubbly Bonk (v4.0?) (20p Fixed, Cash+Token, Datapak) (set 1) (MPU4 Video) [David Haywood]
Bubbly Bonk (v4.0?) (20p Fixed, Cash+Token, Datapak) (set 2) (MPU4 Video) [David Haywood]
Bullion Blox (BWB) (Datapak) (set 1) (MPU4 Video) [David Haywood]
Bullion Blox (BWB) (Datapak) (set 2) (MPU4 Video) [David Haywood]
Bullion Blox (BWB) (set 2) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 3) (set 1) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 3) (set 2) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 10p Fixed, Cash+Token) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token) (set 2) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token) (set 3) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token, % Key) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token, Datapak) (set 1) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token, Datapak) (set 2) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token, Datapak) (set 3) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token, Showcase) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token, Showcase, Datapak) (set 1) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token, Showcase, Datapak) (set 2) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, All - Cash) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, All - Cash, Datapak)  (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, Cash+Token) (set 1) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, Cash+Token) (set 2) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, Cash+Token, % Key) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, Cash+Token, Datapak) (set 1) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, Cash+Token, Datapak) (set 2) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, Cash+Token, Datapak) (set 3) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, Cash+Token, Showcase) (MPU4 Video) [David Haywood]
Cash Inferno (BWB) (Release 4, 5p Fixed, All - Cash) (MPU4 Video) [David Haywood]
Chase Invaders (Barcrest) (MPU4) (set 8) [David Haywood]
Double Take (BWB) (Release 4, Arcade Data) (MPU4 Video) [David Haywood]
Double Take (BWB) (Release 4, S_Site Data + %-Key) (MPU4 Video) [David Haywood]
Fruit Factory (BWB) (set 2) (MPU4 Video) [David Haywood]
Fruit Factory (BWB) (set 3) (MPU4 Video) [David Haywood]
Fruit Factory (BWB) (set 4) (MPU4 Video) [David Haywood]
Fruit Factory (BWB) (set 5) (MPU4 Video) [David Haywood]
Fruit Factory (BWB) (set 6) (MPU4 Video) [David Haywood]
Fruit Factory (BWB) (set 7) (MPU4 Video) [David Haywood]
Funhouse (L-2) [PinMAME]
Funhouse (L-2, prototype PA-1 System 11 sound) [PinMAME]
Gold Rush (BWB) (Release 8, 20p Fixed, All - Cash) (Datapak) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, 20p Fixed, All - Cash) (set 2) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (Datapak) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (Datapak) (set 1) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (Datapak) (set 2) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (Showcase) (Datapak) (set 1) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (Showcase) (Datapak) (set 2) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (Showcase) (set 1) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (Showcase) (set 2) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (set 1) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (set 2) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, 25p Fixed, All - Cash) (Datapak) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, 25p Fixed, All - Cash) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, Switchable 20p/10p/5p, All - Cash) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, Switchable 20p/10p/5p, Cash+Token) (Datapak) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, Switchable 20p/10p/5p, Cash+Token) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, Switchable 20p/10p/5p, Cash+Token) (Showcase) (Datapak) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, Switchable 20p/10p/5p, Cash+Token) (Showcase) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, Switchable 20p/25p, All - Cash) (Datapak) (MPU4 Video) [David Haywood]
Gold Rush (BWB) (Release 8, Switchable 20p/25p, All - Cash) (MPU4 Video) [David Haywood]
Kharkovsky [Robbbert]
Laser Ball (L-2, PROM sound) [PinMAME]
Last Action Hero (1.04 France) [PinMAME]
Last Action Hero (1.07) [José Renato Castro Milanez, Sergio Munemori]
Magic Card - Wien (Sicherheitsversion 1.2) [TeamEurope, Roberto Fresca]
Mazooma Belle (v1.5) (set 2) (MPU4 Video) [David Haywood]
Megabucks Poker (BWB) (set 2) (MPU4 Video) [David Haywood]
Megabucks Poker (BWB) (set 3) (MPU4 Video) [David Haywood]
Megabucks Poker (BWB) (set 4) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 5) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, Arcade Showcase, 20p-£8 Token - Fixed) (set 3) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, Arcade Standard, 10p-£4 Cash - Fixed) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, Arcade Standard, 10p-£8 Token - Fixed) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, Arcade Standard, 20p-£10 Cash - Fixed) (set 1) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, Arcade Standard, 20p-£10 Cash - Fixed) (set 2) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, Arcade Standard, 20p-£4 Cash - Fixed) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, Arcade Standard, 20p-£8 Cash - Fixed) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, Arcade Standard, 20p-£8 Token - Fixed) (set 1) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, Arcade Standard, 20p-£8 Token - Fixed) (set 2) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, Arcade Standard, 25p-£10 Cash - Fixed) (set 1) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, Arcade Standard, 25p-£10 Cash - Fixed) (set 2) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, Arcade Standard, 5p-£4 Cash - Fixed) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, S/Site Showcase, 20p-£8 Token - Fixed) (set 5) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£10 Cash - Fixed) (set 1) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£10 Cash - Fixed) (set 2) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£10 Cash - Fixed) (set 3) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£4 Cash - Fixed) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£8 Token - Fixed) (set 1) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£8 Token - Fixed) (set 2) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£8 Token - Fixed) (set 3) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£8 Token - Fixed) (set 4) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, S/Site Standard, 25p-£10 Cash - Fixed) (set 2) (MPU4 Video) [David Haywood]
Miami Dice (BWB) (Release 8, S/Site Standard, 25p-£10 Cash - Fixed) (set 3) (MPU4 Video) [David Haywood]
Monte Carlo (MC  2.0 C) (Barcrest) (MPU4) [David Haywood]
Monte Carlo (MC  2.0 K) (Barcrest) (MPU4) [David Haywood]
Monte Carlo (MC  2.0 YD) (Barcrest) (MPU4) [David Haywood]
Monte Carlo (MC  3.0 C) (Barcrest) (MPU4) [David Haywood]
Monte Carlo (MC_ 3.0 K) (Barcrest) (MPU4) [David Haywood]
Monte Carlo (MC_ 3.0 YD) (Barcrest) (MPU4) [David Haywood]
Monte Carlo (MSS 1.6 C) (Barcrest) (MPU4) [David Haywood]
Monte Carlo (MX052.0 C) (Barcrest) (MPU4) [David Haywood]
Monte Carlo (MX052.0 K) (Barcrest) (MPU4) [David Haywood]
Monte Carlo (MX102.0 C) (Barcrest) (MPU4) [David Haywood]
Monte Carlo (MX102.0 K) (Barcrest) (MPU4) [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, Arcade Special, Options 4 Cabinet, 20p Fixed, Cash and Tokens) (set 1) (MPU4 Video)
  [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, Arcade Special, Options 4 Cabinet, 20p Fixed, Cash and Tokens) (set 2) (MPU4 Video)
  [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, Arcade Special, Options 4 Cabinet, 20p Switchable, Cash and Tokens) (set 1) (MPU4 Video)
  [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, Arcade Special, Options 4 Cabinet, 20p Switchable, Cash and Tokens) (set 2) (MPU4 Video)
  [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Fixed, Cash and Tokens) (set 1) (MPU4 Video)
  [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Fixed, Cash and Tokens) (set 2) (MPU4 Video)
  [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Fixed, £10 All Cash) (set 1) (MPU4 Video)
  [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Fixed, £10 All Cash) (set 2) (MPU4 Video)
  [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Fixed, £8 All Cash) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Switchable, Cash and Tokens) (set 1) (MPU4 Video)
  [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Switchable, Cash and Tokens) (set 2) (MPU4 Video)
  [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Switchable, £10 All Cash) (set 1) (MPU4 Video)
  [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Switchable, £10 All Cash) (set 2) (MPU4 Video)
  [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Switchable, £8 All Cash) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 25p Fixed, £10 All Cash) (set 1) (MPU4 Video)
  [David Haywood]
Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 25p Fixed, £10 All Cash) (set 2) (MPU4 Video)
  [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 1) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 10) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 11) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 12) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 13) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 14) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 15) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 16) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 17) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 18) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 19) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 2) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 20) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 21) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 22) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 23) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 24) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 25) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 26) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 27) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 28) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 29) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 3) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 30) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 31) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 32) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 33) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 34) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 35) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 4) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 5) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 6) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 7) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 8) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release ?, set 9) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release D, Arcade Special, 20p Fixed, Cash and Tokens) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release D, S/Site Standard, 20p Fixed, £10 All Cash) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release D, S/Site Standard, 20p Switchable, Cash and Tokens) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release D, S/Site Standard, 20p Switchable, £10 All Cash) (MPU4 Video) [David Haywood]
Monte Carlo Or Bust (BWB) (Release D, S/Site Standard, 25p Fixed, £10 All Cash) (MPU4 Video) [David Haywood]
Nove Diamante (bootleg) [Ioannis Bampoulas]
Over Moon Pt3 (BWB) (20p Fixed, All - Cash) (MPU4 Video) [David Haywood]
Over Moon Pt3 (BWB) (20p Fixed, Cash+Token, % Key) (MPU4 Video) [David Haywood]
Over Moon Pt3 (BWB) (20p Fixed, Cash+Token, Datapak) (set 1) (MPU4 Video) [David Haywood]
Over Moon Pt3 (BWB) (20p Fixed, Cash+Token, Datapak) (set 2) (MPU4 Video) [David Haywood]
Prize Tetris (BWB) (Datapak) (MPU4 Video) [David Haywood]
Prize Tetris (BWB) (Showcase) (Datapak) (MPU4 Video) [David Haywood]
Red Hot Mazooma Belle (BWB) (Version 1.4 C, Cash+Token, 1993 Awards, 20p Switchable to 10p) (MPU4 Video) [David Haywood]
Red Hot Mazooma Belle (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 10p Fixed, Datapak) (MPU4 Video) [David Haywood]
Red Hot Mazooma Belle (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 20p Fixed, Datapak) (MPU4 Video) [David Haywood]
Red Hot Mazooma Belle (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 20p Switchable to 10p, Datapak) (MPU4 Video) [David Haywood]
Red Hot Mazooma Belle (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 10p Fixed, Datapak) (MPU4 Video) [David Haywood]
Red Hot Mazooma Belle (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 20p Fixed, Datapak) (set 1) (MPU4 Video) [David Haywood]
Red Hot Mazooma Belle (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 20p Fixed, Datapak) (set 2) (MPU4 Video) [David Haywood]
Red Hot Mazooma Belle (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 20p Switchable to 10p, Datapak) (MPU4 Video) [David Haywood]
Red Hot Mazooma Belle (BWB) (Version 1.4 Y, Cash+Token, 1993 Awards, 20p Switchable to 10p, % Key) (MPU4 Video) [David Haywood]
Red Hot Mazooma Belle (BWB) (Version 1.4, Cash+Token, 1993 Awards, 20p Fixed) (MPU4 Video) [David Haywood]
Red Hot Mazooma Belle (BWB) (Version 1.4, Cash+Token, 1993 Awards, 20p Switchable to 10p) (MPU4 Video) [David Haywood]
Red Hot Poker (Arcade, Cash+Tokens, 1993 Awards, 20p Fixed, Version 1.9) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 2, 1992 copyright, 20p Fixed, Cash+Token) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 2, 1993 copryight, 5p Fixed, Cash+Token) (set 2) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 2, 1993 copryight, 5p Fixed, Cash+Token, % Key) (set 1) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 2, 1993 copryight, 5p Fixed, Cash+Token, % Key) (set 2) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 2, 1993 copryight, 5p Fixed, Cash+Token, Datapak) (set 1) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 2, 1993 copryight, 5p Fixed, Cash+Token, Datapak) (set 2) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 2, 1993 copryight, 5p Fixed, Cash+Token, Datapak) (set 3) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 2, 1993 copryight, 5p Fixed, Cash+Token, Datapak) (set 4) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 2, 1993 copyright, 5p Fixed, Cash+Token) (set 1) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 10p Fixed, Cash+Token) (set 1) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 10p Fixed, Cash+Token) (set 2) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 10p Fixed, Cash+Token, % Key) (set 1) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 10p Fixed, Cash+Token, % Key) (set 2) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 10p Fixed, Cash+Token, Datapak) (set 1) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 10p Fixed, Cash+Token, Datapak) (set 2) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 10p Fixed, Cash+Token, Datapak) (set 3) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 10p Fixed, Cash+Token, Datapak) (set 4) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 10p Fixed, Cash+Token, Datapak) (set 5) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 10p Fxed, All-Cash) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Fixed, Cash+Token) (set 2) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Fixed, Cash+Token, % Key) (set 1)  (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Fixed, Cash+Token, % Key) (set 2) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Fixed, Cash+Token, Datapak) (set 1) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Fixed, Cash+Token, Datapak) (set 2) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Fixed, Cash+Token, Datapak) (set 3) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Fixed, Cash+Token, Datapak) (set 4) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Fixed, Cash+Token, Datapak) (set 5) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Switchable to 10p, All - Cash) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token) (set 1) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token) (set 2) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token, % Key) (set 1) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token, % Key) (set 2) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token, Datapak) (set 1) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token, Datapak) (set 2) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token, Datapak) (set 3) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token, Datapak) (set 4) (MPU4 Video) [David Haywood]
Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token, Datapak) (set 5) (MPU4 Video) [David Haywood]
Red Hot Poker (unknown release) (MPU4 Video) [David Haywood]
Reno Casino (BWB) (set 10) (MPU4 Video) [David Haywood]
Reno Casino (BWB) (set 2) (MPU4 Video) [David Haywood]
Reno Casino (BWB) (set 3) (MPU4 Video) [David Haywood]
Reno Casino (BWB) (set 4) (MPU4 Video) [David Haywood]
Reno Casino (BWB) (set 5) (MPU4 Video) [David Haywood]
Reno Casino (BWB) (set 6) (MPU4 Video) [David Haywood]
Reno Casino (BWB) (set 7) (MPU4 Video) [David Haywood]
Reno Casino (BWB) (set 8) (MPU4 Video) [David Haywood]
Reno Casino (BWB) (set 9) (MPU4 Video) [David Haywood]
Reno Reels (Release 5) (MPU4 Video) [David Haywood]
Reno Reels (Release 7) (MPU4 Video) [David Haywood]
Reno Reels (Release 8, 20p Fixed, Cash+Token) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Fixed, All - Cash) (Datapak) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Fixed, All - Cash) (set 2) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Fixed, Cash+Token) (Datapak) (set 1) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Fixed, Cash+Token) (Datapak) (set 2) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Fixed, Cash+Token) (Datapak) (set 3) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Fixed, Cash+Token) (Showcase) (set 1) (Datapak) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Fixed, Cash+Token) (Showcase) (set 1) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Fixed, Cash+Token) (Showcase) (set 2) (Datapak) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Fixed, Cash+Token) (Showcase) (set 2) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Fixed, Cash+Token) (set 1) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Fixed, Cash+Token) (set 2) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Fixed, Cash+Token) (set 3) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Switchable 20p/10p/5p, All - Cash) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Switchable 20p/10p/5p, Cash+Token) (Showcase) (set 1) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Switchable 20p/10p/5p, Cash+Token) (Showcase) (set 2) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Switchable 20p/10p/5p, Cash+Token) (set 1) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Switchable 20p/10p/5p, Cash+Token) (set 2) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Switchable 20p/25p, All - Cash) (Datapak) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 20p Switchable 20p/25p, All - Cash) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 25p Fixed, All - Cash) (Datapak) (MPU4 Video) [David Haywood]
Reno Reels (Release A, 25p Fixed, All - Cash) (MPU4 Video) [David Haywood]
Shop Window (v2.0) (Release 2, 10p Fixed, Cash + Special BWB Token) (MPU4 Video) [David Haywood]
Shop Window (v2.0) (Release 2, 10p Fixed, Cash + Special BWB Token, % Key) (MPU4 Video) [David Haywood]
Shop Window (v2.0) (Release 2, 10p Fixed, Cash + Special BWB Token, Datapak) (set 1) (MPU4 Video) [David Haywood]
Shop Window (v2.0) (Release 2, 10p Fixed, Cash + Special BWB Token, Datapak) (set 2) (MPU4 Video) [David Haywood]
Shop Window (v2.0) (Release 2, 20p Fixed, Cash + Special BWB Token) (set 2) (MPU4 Video) [David Haywood]
Shop Window (v2.0) (Release 2, 20p Fixed, Cash + Special BWB Token, % Key) (MPU4 Video) [David Haywood]
Shop Window (v2.0) (Release 2, 20p Fixed, Cash + Special BWB Token, Datapak) (set 1) (MPU4 Video) [David Haywood]
Shop Window (v2.0) (Release 2, 20p Fixed, Cash + Special BWB Token, Datapak) (set 2) (MPU4 Video) [David Haywood]
Shop Window (v2.0) (Release 2, 20p Fixed, Cash + Special BWB Token, Datapak) (set 3) (MPU4 Video) [David Haywood]
Shop Window (v2.0) (Release 2, 20p Switchable to 10p, Cash + Special BWB Token) (MPU4 Video) [David Haywood]
Shop Window (v2.0) (Release 2, 20p Switchable to 10p, Cash + Special BWB Token, % Key) (MPU4 Video) [David Haywood]
Shop Window (v2.0) (Release 2, 20p Switchable to 10p, Cash + Special BWB Token, Datapak) (set 1) (MPU4 Video) [David Haywood]
Shop Window (v2.0) (Release 2, 20p Switchable to 10p, Cash + Special BWB Token, Datapak) (set 2) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 C, 1993 Awards, 10p Fixed) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 C, 1993 Awards, 20p Fixed) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 C, 1993 Awards, 20p Switchable to 10p) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 D, Cash + Token, 1993 Awards, 10p Fixed) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 20p Fixed) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 20p Fixed) (set 1) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 20p Fixed) (set 2) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 20p Switchable to 10p (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 20p Switchable to 10p) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 10p Fixed) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 20p Fixed) (set 1) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 20p Fixed) (set 2) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 20p Switchable to 10p) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 IC, 1993 Awards, 20p Switchable to 10p) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 Y, Cash+Token, 1993 Awards, 10p Fixed) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 Y, Cash+Token, 1993 Awards, 20p Fixed, % Key) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4 Y, Cash+Token, 1993 Awards, 20p Switchable to 10p, % Key) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4, Cash+Token, 1993 Awards, 20p Fixed) (set 1) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4, Cash+Token, 1993 Awards, 20p Fixed) (set 2) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4, Cash+Token, 1993 Awards, 20p Switchable to 10p) (set 1) (MPU4 Video) [David Haywood]
Sunburst (BWB) (Version 1.4, Cash+Token, 1993 Awards, 20p Switchable to 10p) (set 2) (MPU4 Video) [David Haywood]
Time Bandit (BWB) (Release 1, 20p Fixed, Cash + Tokens) (Datapak) (set 1) (MPU4 Video) [David Haywood]
Time Bandit (BWB) (Release 1, 20p Fixed, Cash + Tokens) (Datapak) (set 2) (MPU4 Video) [David Haywood]
Time Bandit (BWB) (Release 1, 20p Fixed, Cash + Tokens) (Datapak) (set 3) (MPU4 Video) [David Haywood]
Time Bandit (BWB) (Release 1, 20p Fixed, Cash + Tokens) (set 2) (MPU4 Video) [David Haywood]
Time Bandit (BWB) (Release 1, 20p Fixed, Cash + Tokens) (set 3) (MPU4 Video) [David Haywood]
Time Machine (v2.0) (Issue 1 Questions) (Datapak) (MPU4 Video) [David Haywood]
Time Machine (v2.0) (Issue 1 Questions) (MPU4 Video) [David Haywood]
Time Machine (v2.0) (Issue 2 Questions) (Datapak) (MPU4 Video) [David Haywood]
Time Machine (v2.0) (Issue 2 Questions) (MPU4 Video) [David Haywood]
Time Machine (v2.0) (Issue 3 Questions) (Datapak) (MPU4 Video) [David Haywood]
Turnover (v2.33) (MPU4 Video) [David Haywood]
Turnover (v2.3O) (MPU4 Video) [David Haywood]
Turnover (v?.?) (MPU4 Video) [David Haywood]
Unga [Robbbert]
Wize Move (v1.33) (MPU4 Video) [David Haywood]
Wize Move (v1.3d) (Datapak) (MPU4 Video) [David Haywood]
Wize Move (v1.3d3) (Datapak) (MPU4 Video) [David Haywood]
Wize Move (v?.?) (MPU4 Video) [David Haywood]


New working software list additions
-----------------------------------
fmtowns_cd:
  Akiko - Premium Version, Cal III - Kanketsu-hen, Chiemi & Naomi, Curse, Eikan wa Kimi ni 2 - Koukou Yakyuu Zenkoku Taikai,
  FM Towns Application Catalog CD-ROM - Original Soft-hen, G5 (HMA-206), Gambler - Queen's Cup, Gokuraku Mandala, Hyper Fetishism,
  Illust Hyakka - Yamashita Hideki no Ikiiki Cut-shuu, Iris-tei Serenade, Jouhou Club - Card Processor Ver. 1.1, Mahjong Musashi,
  Manami no Doko made Iku no? 2 - Return of the Kuro Pack, The Manhole (1990-08-01), Marionette Mind,
  Mirage 2 - Torry, Neat & Roan Fairladies in MagicLand, Noushuku Angel 120%, Shamhat - The Holy Circlet (FM Towns Marty version),
  Tenshin Ranma, Two Shot Diary, Viper-V12 RS, Viper-V8 Turbo RS, YES! HG - Erotic Voice Version [redump.org, r09]
gba:
  Rayman IV (Rayman - Sunshine of Trip) (unlicensed) (protection hacked) [RibShark]
  Crash Advance IV  (unlicensed) (protection hacked), Digimon - Ruby and Sapphire (unlicensed) (protection hacked),
  The Lord of the Rings IV - The Fellowship of the Ring (unlicensed) (protection hacked),
  Pokemon - Sapphire Version (unlicensed) (protection hacked),
  Rayman IV (Rayman - Puteshestviye Solnechnogo Sveta) (unlicensed) (Russian) (protection hacked),
  Sonic 3 - Fighter Sonic (unlicensed) (protection hacked), Super Mario DX (unlicensed) (protection hacked),
  Teenage Mutant Ninja Turtles 2 (unlicensed) (protection hacked),
  Ultraman - Confrontation Between Justice And Evil (Ul'traman - Konfrontatsiya mezhdu spravedlivost'yu i zlom) (unlicensed)
  (Russian) (protection hacked), X-Man - Armour of Might (X-men) (unlicensed) (Russian) (protection hacked) [taizou]
  Chaoji Maliou DX (unlicensed) (Chinese) (protection hacked) [yy小龙虾]
  Leiman IV - Guangming Zhi Lv (unlicensed) (Chinese) (protection hacked) [侵蚀你的私处]
ibm5150:
  Bloodwych (Quest & Glory Compilation) (Euro), Bloodwych (USA), Budokan - The Martial Spirit (5.25"), The Colonel's Bequest (3.5"),
  The Colonel's Bequest (5.25"), Dragon's Lair (5.25"), F29 Retaliator, Lakers vs Celtics and the NBA Playoffs (3.5"),
  Leisure Suit Larry Goes Looking for Love (in Several Wrong Places) (5.25"), Leisure Suit Larry in the Land of the Lounge Lizards,
  Mario Andretti's Racing Challenge, Speedball 2 - Brutal Deluxe (Euro, 3.5"), TV Sports Basketball (3.5", USA, EGA/TANDY version),
  TV Sports Basketball (3.5", USA, VGA version), TV Sports Basketball (5.25", UK, EGA/TANDY version),
  TV Sports Basketball (5.25", UK, VGA version), Xenon 2: Megablast [ArcadeShadow]
  SCO XENIX System V Development System version 2.1.3 [archive.org, Davide Cavalca]
  IBM Personal Computer Interactive Executive (PC/IX) 1.00 [WinWorld, Davide Cavalca]
ibm5170:
  B-17 Flying Fortress (5.25"), Corridor 7: Alien Invasion (demo), Maniac Mansion: Day of the Tentacle (France),
  Out of this World (USA, 3.5" DD), Out of this World (USA, 5.25" HD), Sam & Max Hit the Road (Germany) [ArcadeShadow]
megadriv: Starwars (Prototype 19930125) [ArcadeShadow]
nascom_snap: Adventure 16K, Adventure 32K [The Nascom Repository]
pc98_cd:
  F15 Strike Eagle III, if 2 - Invitations from Fantastic Stories, Manami no Doko made Iku no? 2 - Return of the Kuro Pack, Phobos,
  Pro Student G (ALS-0010), YES! HG - Erotic Voice Version, Yuurou - Transient Sands [redump.org, r09]
sgi_mips:
  Desktop Special Edition 1.0, European Language Module 1.1, European Language Module 1.3.1, Hot Mix 5, Hot Mix 7, IndiZone 1.0,
  IRIX 5.2 for Indy R4600PC and Challenge SX, IRIX Patch 5.1.1.2, ONC3/NFS for IRIX 6.2 Version 1,
  ONC3/NFS for IRIX 6.2 with Indigo2 IMPACT 10000 Version 1, Support Advantage 10/94, Support Advantage 6/95, SupportFolio 2/97,
  SupportFolio 4/97 [darkstar]
  NetBSD 1.6.2, NetBSD 2.0, NetBSD 2.0.2, NetBSD 2.1, NetBSD 3.0, NetBSD 3.0.1, NetBSD 3.0.2, NetBSD 3.1
  [NetBSD Project, Davide Cavalca]
sgi_mips_hdd: IRIX 5.2, IRIX 5.3, IRIX 6.2, IRIX 6.5, IRIX 6.5.22 [Davide Cavalca]
vsmile_cart:
  Bianfuxia - Zhengjiu Chengshi (China) [tenyuhuang]
  Disney/Pixar Wall-E (China) [tenyuhuang, Ryan Holtz]
  Les Bisounours - Le monde merveilleux des Bisounours (France),
  Nickelodeon Bob L'éponge - Une journée dans la vie d'une éponge (France) [DisizDream]
vsmilem_cart:
  Disney/Pixar Cars 2 (France), Disney/Pixar Toy Story 3 (France), DreamWorks Kung Fu Panda - La mission de Po (France),
  Football Challenge (France), Martin Le Dauphin (France),
  Nickelodeon Dora L'Exploratrice - Les adventures de Dora Apprentie Mécano (France), Sporti'Folies (France)
  [DisizDream, Ryan Holtz]
  Action Mania (USA), Disney/Pixar Toy Story 3 (USA), Marvel Spider-Man & Friends - Secret Missions (USA), Soccer Challenge (USA)
  [Sean Riddle, TeamEurope, Ryan Holtz]


Software list items promoted to working
---------------------------------------
cpc_flop:
  Secret Agent - Sly Spy (UK), Secret Agent - Sly Spy (UK) (2 faces) (Spain retail version) [Original],
  Sly Spy - Secret Agent (NonGoodCPC), Sly Spy - Secret Agent (Ocean Software),
  Sly Spy - Secret Agent (Ocean Software)[cr XOR][t +2 XOR], Sly Spy - Secret Agent (UK) [a1] [Barry Rodewald]
vsmile_cart:
  Les aventures de imagniares d'Ernest et Bart (France), Les aventures du Petit Chaperon Rouge (France),
  Bob The Builder - Bob's Busy Day (UK), Cranium - Freizeit Park - Ein Jahrmarkt voller Spiel- und Lernspaß (Germany),
  Cranium - Le Parc D'Attractions (France), Cranium - Parque de Atracciones de Cranium (Spain), Dakota y su mascota (Spain),
  Disney - Les petits Einsteins - Le bal du soulier de verre (France),
  Disney Cenerentola - I desideri magici di Cenerentola (Italy, rev. 1), Disney La Casa de Mickey Mouse (Spain),
  Disney La Maison De Mickey (France), Disney Manny et ses outils (France), Disney Mickey - Mickey à la Recherche De Pluto (France),
  Disney Princesses Cendrillon - Le rêve enchanté de Cendrillon (France, rev. 105),
  Disney Winnie the Pooh - En Busca de la Miel (Spain, rev. 122), Disney's Little Einsteins (Spain),
  Disney's Little Einsteins (USA, rev. 5?), Disney's Winnie de Poeh - De wonderwereld van Poeh (Netherlands),
  Disney/Pixar Cars - Quatre Roues (France, rev. 105), Disney/Pixar Cars - Rev It Up in Radiator Springs (USA, rev. 201),
  Disney/Pixar Là-Haut (France, rev. 005), Disney/Pixar Ratatouille - Las recetas del Remy (Spain),
  Disney/Pixar Ratatouille - Les nouvelles recettes de Rémy (France),
  Disney/Pixar Ratatouille - Remy's Nieuwe Recepten (Netherlands), Disney/Pixar Up (Spain, rev. 022), Disney/Pixar Wall-E (France),
  Disney/Pixar Wall-E (Italy), Disney/Pixar Wall-E (Spain), Dolphis Wasser-abenteuer (Germany),
  Dora L'Exploratrice - Les aventures de Dora Apprentie Mécano (France, rev. 105), DreamWorks Monstres contre Aliens (France),
  DreamWorks Monstruos contra Alienígenas (Spain), DreamWorks Shrek Le Troisième - L'aventure d'Arthur (France),
  DreamWorks Shrek Le Troisième - L'aventure d'Arthur (France, rev. 105),
  DreamWorks Shrek the Third - Arthur's School Day Adventure (UK),
  DreamWorks Shrek the Third - Arthur's School Day Adventure (USA, alt), Kung Fu Panda - Aventura en el Valle de la Paz (Spain),
  Kung Fu Panda - La Mission de Po (France), Marvel Spider-Man & Friends - Secret Missions (USA, rev. 101),
  Marvel Spider-Man & ses amis - Missions secrètes (France, rev. 105),
  Marvel Spider-Man & ses amis - Missions secrètes (France, rev. 305),
  Nick Jr. Dora La Exploradora - La Aventura arregla-todo de Dora (Spain, rev. 222),
  Nick Jr. Dora the Explorer - Dora's Fix-it Adventure (USA), Nick Jr. Go Diego Go! - Save the Animal Familes! (USA, rev. 2?),
  Nickelodeon Dora the Explorer - Dora's Fix-it Adventure (USA, rev. 201),
  Nickelodeon Go Diego! - À la rescousse des animaux! (France), Oui-Oui - Détective d'un Jour (France, rev. 105),
  Scooby-Doo - Misterio en el Parque (Spain), Scooby-Doo! - Funland Frenzy (UK), Scooby-Doo! - Funland Frenzy (UK, rev. 1?),
  Scooby-Doo! - Funland Frenzy (USA, rev. 301), Scooby-Doo! - Panique à Funland (France),
  Scooby-Doo! - Panique à Funland (France, rev. 105), Spider-Man y Amigos - Misiones Secretas (Spain, rev. 222),
  Thomas & Friends - Engines Working Together (UK, rev. 1?), V.Smile Art Studio (USA), V.Smile Estudio De Arte (Spain),
  V.Smile Studio De Dessin (France), V.Smile Zeichenatelier (Germany),
  Walt Disney Cendrillon - Le rêve enchanté de Cendrillon (France, rev. 205),
  Walt Disney La Cenicienta - Los sueños mágicos de Cenicienta (Spain, rev. 122) [Ryan Holtz]
vsmilem_cart:
  Action Mania (USA, Rev. 4?), Action Mania (USA, Rev. 6?), Action Manía (Spain), Disney Handy Manny (USA, Rev. 2?),
  Disney La Casa de Mickey Mouse (Spain), Disney La Maison de Mickey (France, Rev. 005), Disney Manny et ses outils (France),
  Disney Meister Manny's Werkzeugkiste (Germany), Disney Mickey Mouse Clubhouse (USA), Disney Micky Maus Wunderhaus (Germany),
  Disney Princess - Disney Küss den Frosch - Tianas großer Traum (Germany),
  Disney Princess - Disney La Princesse Et La Grenouille - Le grand rêve de Tiana (France),
  Disney Princess - The Princess and the Frog - Tiana's Big Dream (UK),
  Disney Winnie L'ourson - La Chasse au miel de Winnie (France), Disney Winnie the Pooh - En busca de la miel (Spain),
  Disney's Kleine Einsteins (Germany), Disney's Kleine Einsteins (Germany, Rev. 2?), Disney's Little Einsteins (USA, Rev. 2?),
  Disney's Little Einsteins (USA, Rev. 5?), Disney/Pixar Cars - Acelera el Motor en Radiador Springs (Spain),
  Disney/Pixar Cars - Quatre Roues (France), Disney/Pixar Cars - Vollgas in Radiator Springs (Germany),
  Disney/Pixar Cars 2 (Germany), Disney/Pixar Là-Haut (France), Disney/Pixar Toy Story 3 (Germany),
  Disney/Pixar Toy Story 3 (Spain), Disney/Pixar UP (Spain), Disney/Pixar Wall-E (France), Disney/Pixar Wall-E (Germany),
  Disney/Pixar Wall-E (Spain), Disney/Pixar Wall-E (USA, Rev. 2?), Disneys Princess Cinderella - Lernen im Märchenland (Germany),
  Disneys Princess Cinderella - Lernen im Märchenland (Germany, Rev. 2?), DreamWorks Kung Fu Panda - Der Weg des Panda (Germany),
  DreamWorks Monsters vs. Aliens (Germany), DreamWorks Monsters vs. Aliens (USA, Rev. 3?),
  DreamWorks Monstres contre Aliens (France), DreamWorks Monstruos contra Alienígenas (Spain), La fée Clochette (France),
  Fußball Meisterschaft (Germany), Für immer Shrek (Germany), Marvel Spider-Man & Freunde - Geheime Missionen (Germany),
  Marvel Spider-Man & ses amis - Missions Secrètes (France), Mein erster Hund (Germany), Mijn Puppy! (Netherlands),
  Mon Youtou tout fou! (France), Le Monde de Nemo - Nemo à la decourverte de l'océan (France),
  NASCAR Academy - Race Car Superstar (USA), Nick Dora - Doras Reparatur-Abenteuer (Germany),
  Nick Dora - Doras Reparatur-Abenteuer (Germany, Rev. 2), Nick Jr Dora - Dora's Reparatie Avontuur (Netherlands),
  Nickelodeon Dora the Explorer - Dora's Fix It Adventure (USA, Rev. 3?),
  Nickelodeon Ni Hao Kai Lan - Happy Chinese New Year! (USA), Nickelodeon Ni Hao Kai Lan - Joyeux Nouvel an chinois! (France),
  Nickelodeon Spongebob Schwammkopf - Der Tag des Schwamms (Germany), Nickelodeon Wonder Pets! - Save the Animals! (UK),
  Oui-Oui - Détective d'un Jour (France), Scooby-Doo! - Panique à Funland (France), ¡¡Scooby-Doo!! - Misterio en el parque (Spain),
  Shrek 4 - Il était une fin (France), Shrek Forever After (USA), Sport Games (Netherlands), Sportskanone (Germany),
  Thomas - Freunde halten zusammen (Germany), TinkerBell (Germany), TinkerBell (USA, Rev. 2?),
  Walt Disney Cendrillon - Le rêve enchanté de Cendrillon (France), Winnie Puuh - Die Honigjagd (Germany), Wintersport (Germany)
  [Ryan Holtz]


New NOT_WORKING software list additions
---------------------------------------
fmtowns_cd: Pro Student G (ALS-0010), Towns-Telop, True Heart [redump.org, r09]
leapfrog_mfleappad_cart: Disney/Pixar Cars (Spain) [TeamEurope, ClawGrip]
mobigo_cart:
  Disney Jake and the Neverland Pirates (USA, alt), Disney Princess (USA, alt), Disney/Pixar Brave (USA),
  Dreamworks Shrek - Forever After (US), NAND User Cartridge (unknown data, set 1), NAND User Cartridge (unknown data, set 2),
  Sesame Street - Elmo and Abby - Nature Explorers (USA) [TeamEurope]
novag_ssensor4: Quartz Chess Clock [Berger]
pc98_cd:
  DOR Special Edition '93, DOR Special Edition '93 (alt), Kanji Land 3-nen, Kyrandia II - The Hand of Fate,
  Lemon Cocktail Collection, Lip 3 - Lipstick Adventure 3, Mirage 2 - Torry, Neat & Roan Fairladies in MagicLand [redump.org, r09]
pi_storyreader_cart:
  Disney Blanca Nieves y los siete enanos (Spain), Disney El Rey León (Spain), Walt Disney Peter Pan (Spain) [TeamEurope, ClawGrip]
tvgogo:
  Basketball (EU) [ClawGrip, TeamEurope]
  Basketball (US) [Sean Riddle, David Haywood]
vsmileb_cart: Teletubbies (France) [DisizDream]


Merged pull requests
--------------------
- 6825: docs: Improved analog joystick mapping documentation, and added health warnings. [Firehawke]
- 6837: debugger: Added loadr and saver commands for loading or saving data to/from a memory region. [bombzj]
- 6838: fmtowns_cd.xml: Added 28 new entries, and replaced 22 entries with improved dumps. [redump.org, r09]
- 6844: gigatron: Hooked up CPU output callback, fixed program counter wrapping, and added CPU input callback. [Sterophonick]
- 6848: startouch.cpp: Added Biostar M5ATD motherboard BIOS option to europl01. [ClawGrip]
- 6849: armedf.cpp, ddenlovr.cpp: Improved DIP switch documentation; nes_vt.cpp: Added zudugo manufacturer. [David Haywood]
- 6850: ibm5170.xml: Corrected floppy interface for humans_525, and corrected metadata for inca2 and goblins. [ArcadeShadow]
- 6851: chicago.cpp, exidyttl.cpp: Corrected ROM dumps, and added a skeleton driver for Exidy Destruction Derby. [Frank Palazzolo]
- 6852: sound/ym2151.cpp: Simplified noise frequency calculation. [cam900]
- 6853: sound/k051649.cpp: Improved playback rate calculation, and cleaned up code. [cam900]
- 6856: sound/saa1099.cpp: Improved sample rate and mixing behavior, and fixed stereo output routing for vgmplay. [cam900]
- 6857: sound/k007232.cpp: Converted to use device_memory_interface and added support for clock frequency changes. [cam900]
- 6859: megaplay.cpp: Added motherboard PLDs. [caius, ClawGrip]
- 6860: cpu/cp1610: Ensure SDBD operations set condition flags correctly. [ElectricMagic]
- 6862: Only build asmjit for x86 and x86-64 targets. [Belegdol]
- 6864: Added arm64 and s390x configurations to Travis CI. [Belegdol]
- 6865: sgi_mips_hdd.xml: Added software list with pre-installed operating system images for SGI MIPS workstations. [Davide Cavalca]
- 6867: generalplus_gpl16250_nand.cpp, spg2xx_wiwi.cpp, tvgogo.xml: Added three machines and a software list entry. [David Haywood]
- 6868: sgi_mips.xml: Added eight entries, and corrected some metadata. [darkstar]
- 6870: leapfrog_mfleappad_cart.xml: Added an entry. [TeamEurope, ClawGrip]
- 6871: pi_storyreader_cart.xml: Added three entries. [TeamEurope, ClawGrip]
- 6872: vsmile_cart.xml: Added three entries. [tenyuhuang, DisizDream, ClawGrip]
- 6875: ibm5150.xml: Added six entries and corrected some metadata. [ArcadeShadow]
- 6877: sgi_mips_hdd.xml: Added an entry and improved instructions in comments. [Davide Cavalca]
- 6879: vsmileb_cart.xml: Added one entry. [DisizDream, ClawGrip]
- 6880: bosco.cpp: Fixed sprite/background priority. [kunikuni]
- 6881: vsmilem_cart.xml: Added seven entries and fixed two incorrect serial numbers. [DisizDream, ClawGrip]
- 6882: Added ten TV games, a V.Smile Motion BIOS, and several software list entries. [David Haywood, Sean Riddle, TeamEurope]
- 6884: midyunit.cpp: Fixed sound and added PAL dumps for mkyawdim2. [TwistedTom]
- 6885: sgi_mips_hdd.xml: Added one entry. [Davide Cavalca]
- 6887: sound/rf5c400.cpp: Fixed loop sample loop position calculation (GitHub #6883). [cam900]
- 6888: video/atarirle.cpp: Fixed source file name in header comment. [cam900]
- 6889: rf5c400.cpp: Fixed regression in sample loop and end position calculations. [cam900]
- 6890: vsmile_cart.xml: Added one entry. [tenyuhuang, ClawGrip]
- 6891: vsmilem_cart.xml: Corrected checksum/digest for cars2mf. [ClawGrip]
- 6892: microdar.cpp: Added skeleton driver for Compumatic Far West darts machine. [Victor Fernandez (City Game), ClawGrip]
- 6893: machine/cop452.cpp: Added partial COP452 frequency generator/counter emulation; hp_ipc.cpp: Added beeper. [F.Ulivi]
- 6894: machine/6821pia.cpp: Added checks for disabled side effects on read accesses. [68bit]
- 6895: bus/rs232: Initialize serial printer RxD output high (idle state). [68bit]
- 6896: formats/os9_dsk.cpp: Added 8" 16-sector single-density formats (used by OS9 L1 on Motorola EXORciser). [68bit]
- 6897: formats/mdos_dsk.cpp: Added Motorola MDOS floppy format. [68bit]
- 6898: formats/wd177x_dsk.cpp: Be tolerant of missing sectors from the third track onwards. [68bit]
- 6899: sgi_mips.xml: Added six entries, and added missing disc dumps to one entry. [darkstar]
- 6900: vsmilem_cart.xml: Added some serial numbers and updated notes. [ClawGrip]
- 6902: mobigo_cart.xml: Added five entries, and corrected the checksum digest for one entry. [TeamEurope, ClawGrip]
- 6903: sgi_mips_hdd.xml: Added one entry. [Davide Cavalca]
- 6904: sgi_mips.xml: Replaced a badly dumped disc image added in #6868. [darkstar]
- 6905: sgi_mips.xml: Added eight NetBSD installation/source sets. [Davide Cavalca]
- 6906: monkey_king_3b.cpp: Added skeleton driver for systems based on Monkey King 3B system-on-a-chip. [David Shah]
- 6908: formats/mdos_dsk.cpp: Fixed the cell size and gaps, and added notes. [68bit]
- 6909: Added five TV games and a software list entry. [David Haywood]
- 6910: Fixed arcade subtarget build. [MASH]
- 6912: ibm5150.xml: Added two entries, and re-dumped on entry. [ArcadeShadow]
- 6914: machine/cop452.cpp: Fixed timer reloading. [F.Ulivi]
- 6915: sgi_mips_hdd.xml: Added one entry. [Davide Cavalca]
- 6917: sound/rf5c400.cpp: Added support for clock frequency changes, flagged imperfect sound, and cleaned up code. [cam900]
- 6918: galaxian.cpp: Added Cirsa Spanish bootleg of Galaxian. [Juan Romero, ClawGrip]
- 6919: tourvis.cpp: Added Tourvision BIOS V4-54. [Juan Romero, ClawGrip]
- 6920: cave.cpp: Added graphics layout for sprite lines, simplified tilemap graphics decoding, and cleaned up code. [cam900]
- 6921: Added a TV game and a number of imperfect dumps of unlicensed Game Boy Advance cartridges. [David Haywood]
- 6922: sound/ymz280b.cpp: Improved frequency calculation and cleaned up code. [cam900]
- 6923: pdp11.cpp: Removed GPL dependency. [shattered]
- 6924: williams.cpp: Added clone Robotron: 2084 (Unidesa license). [Juan Romero, ClawGrip]
- 6927: Added Motorola EXORterm 155 terminal emulation. [68bit]
- 6930: mpu4vid.cpp: Allow v4strike and v4barqst to decode questions, and fixed some parent/clone relationships. [David Haywood]
- 6931: machine/mc6852.cpp: Implemented more functionality and added a byte communication interface. [68bit]
- 6933: devcb.h: Use GCC broken friend workaround with clang 8 as well. [Tiago Pierezan Camargo]
- 6934: pc98_cd.xml: Added 15 entries and replaced 11 entries with improved dumps. [redump.org, r09]
- 6935: hh_sm510.cpp: Added Nintendo Micro Vs. System: Donkey Kong Hockey. [algestam, Ryan Holtz]
- 6936: hh_sm510.cpp: Added gnw_dkong3 PCB label to comment. [algestam]
- 6937: mpu4vid.cpp: Added layout and tweaked inputs for v4addlad, and added a protection workaround. [David Haywood, James Wallace]
- 6938: ibm5150.xml: Fixed some data area sizes (GitHub #6876). [r09]
- 6939: megaplay.cpp: Added two more motherboard PLDs. [Kevin Eshbach, ClawGrip]
- 6940: cpu/gigatron: Added output callback; gigatron.cpp: Started implementing video, and added ROM V5a BIOS option. [Sterophonick]
- 6941: 4enlinea.cpp: Added Sport Dart TV. [Victor Fernandez (City Game), ClawGrip]
- 6942: ibm5150.xml: Added XENIX Development System. [archive.org, Davide Cavalca]
- 6944: galaxian.cpp: Added Spanish bootleg of Zero Time. [Juan Romero, ClawGrip]
- 6945: goldnpkr.cpp: Fixed syntax error in input port definitions. [Davide Cavalca]
- 6946: ibm5150.xml: Added five entries. [ArcadeShadow]
- 6947: ibm5170.xml: Added one entry. [ArcadeShadow]
- 6949: docs: Updated RTD theme to 0.5.0 (fixes issues with links in search results). [Firehawke]
- 6950: Improved screen aspect ratio in internal layout for EXORterm 155 terminal. [68bit]
- 6952: vsmile.cpp: Marked V.Smile Motion as working, as the games are playable even without accelerometer controls. [ClawGrip]
- 6953: bus/nes: Implemented FDS sound emulation. [cam900]
- 6954: vsmilem_cart.xml: Promoted software to working, and corrected some metadata. [ClawGrip]
- 6956: Significant improvements to Gaelco Modular System bootleg emulation, and new TV games. [David Haywood]
- 6958: Added driver for Motorola M6800 EXORciser (M68SDT) and device for corresponding floppy controller. [68bit]
- 6958: mw8080bw.cpp: Improved gunfight audio, including a better transistor model and noise generator. [Colin Douglas Howell]
- 6959: Improved video emulation for several Gaelco Modular System bootlegs, and added inputs/sound for raidenm. [David Haywood]
- 6960: plugins/autofire: Don’t save empty configuration files. [kunikuni]
- 6961: machine/v3021.cpp: Converted to use device_rtc_interface, and implemented serial interface and more commands. [cam900]
- 6962: ibm5150.xml: Added IBM Personal Computer Interactive Executive (PC/IX). [WinWorld, Davide Cavalca]
- 6963: namcos2.cpp: Worked around conflicting default input assignments for fourtrax. [MASH]
- 6964: raiden_ms.cpp: Improved raidenm emulation; spg2xx_zone.cpp: Added two TV games. [David Haywood]
- 6967: ibm5170.xml: Added five entries. [ArcadeShadow]
- 6969: plugins/autofire: Improved method for detecting empty configuration. [kunikuni]
- 6970: microdar.cpp: Added skeleton driver for unknown Compumatic ProSPDP dart machine. [jordigahan, ClawGrip]
- 6971: pgm.cpp: Cleaned up drawing code, and improved timing of intro sequences in some games. [cam900]
- 6972: hh_sm510.cpp: Added Telko / Nintendo Bassmate Computer. [algestam, Mr. Do]
- 6973: mpu4vid.cpp: Fixed inputs, fixed up machine ROM sets, and promoted several machines to working. [David Haywood]
- 6977: gigatron.cpp: Added audio DAC, started hooking up OUTX port, and cleaned up code. [Sterophonick]
- 6978: mpu4mod4yam.cpp, mpu4vid.cpp: Started untangling sets now that they boot, and tweaked inputs. [David Haywood, James Wallace]
- 6979: Added netlist-based audio for thirteen early Cinematronics vector games, and minimal artwork for Warrior. [Aaron Giles]
- 6980: video/imagetek_i4100.cpp, metro.cpp: Improved flip screen drawing; hyprduel.cpp: Fixed sprite delay. [cam900]
- 6982: Added five TV games. [David Haywood]
- 6983: sound/ics2115.cpp: Improved envelope behavior. [cam900]
- 6984: mw8080bw.cpp: Improve 280zzzap audio emulation. [Colin Douglas Howell]
- 6986: generalplus_gpl16250_rom.cpp: Replaced tkmag220 ROM with correct dump. [TeamEurope, David Haywood]
- 6987: Switched AppVeyor MinGW GCC build to use -O3 (works around GitHub #6804). [Belegdol]
- 6988: Changed Travis CI configuration for installing prerequisite packages in an attempt to speed up builds. [Belegdol]
- 6989: microdar.cpp: Added Diana Olakoa dart machine. [Victor Fernandez (City Game), ClawGrip]
- 6993: Added beam_dot_size for controlling the size of “dots” on vector screens. [Aaron Giles]
- 6997: sound/k053260.cpp: Suppress read side effects on debugger accesses. [cam900]
- 6998: microdar.cpp: Added EEPROM dump to “prospdp”. [jordigahan, ClawGrip]
- 6999: nes_vt.cpp: Added two TV games; mpu4.cpp, mpu4vid.cpp: Split up more sets and improved descriptions. [David Haywood]
- 7000: sound/ics2115.cpp: Resolved license issue, re-implemented envelopes and fixed ramping. [cam900]
- 7002: Worked around issue updating MSYS2 packages from AppVeyor. [Belegdol]
- 7005: ibm5150.xml: Added four entries. [ArcadeShadow]


Source Changes
--------------
-gigatron: make the CPU use the outx callback [Sterophonick]

-gigatron: whoops [Sterophonick]

-gigatron: some more work [Sterophonick]
 * Add comments for the jumps
 * Mask out the 15-bit ROM space as necessary
 * Hook up gamepad

-gigatron: fix missing prototype [Sterophonick]
 * (nw)

-gigatron: make inputs a uint8_t instead of void [Sterophonick]
 * (nw)

-gigatron: change resolve to resolve_safe [Sterophonick]
 * (nw)

-gigatron: safe resolve (but proper) [Sterophonick]
 * (nw)

-gigatron: fix ROM mask being 15-bit instead of 16-bit [Sterophonick]
 * also make the mask a label (nw)

-(nw) braiplus: added notes [Robbbert]

-gnw_dkong3: small correction (nw) [hap]

-ti99_2: Emulate the expansion port and a 32K expansion module. [Michael Zapf]

New working software list additions
-----------------------------------
nascom_snap: Adventure 16K, Adventure 32K, Colossal Cave [The Nascom Repository]

-bbc.cpp: Fixed video regression in modes 3 and 6 (nw) [Nigel Barnes]

-startouch.cpp: Add new 'europl01' motherboard BIOS [ClawGrip]

-genie: mingw sdl build fails with end-group auto added by that LinkSupportCircularDependencies flag option (nw) [hap]

-misc small changes (manufacturer info, dsws etc.) (nw) (#6849) [David Haywood]
 * manufacturer info, dipswitches etc. (nw)
 * dipswitches (nw)
 * (nw)

-spectrum/d40.cpp add "MDOS 2" UPD765-based floppy controller [MetalliC]

-ibm5170 - changes [ArcadeShadow]
 * humans_525: changed the floppy interface to "floppy_5_25" inca2: renamed from "Inca 2: Wiracocha (Europe)" to "Inca 2: Wiracocha
    (Euro)" goblins: renamed from "Gobliiins (US - VGA release)" to "Gobliiins (USA, VGA version)"

-drawd3d: properly clean up d3dintf (nw) [hap]

New machines marked as NOT_WORKING
----------------------------------
microKORG Synthesizer/Vocoder [DBWBP]

-add saver to operate memory region (#6837) [Jacob]
 * add debugger command saver for memory region
 * added debugger command loadr for memory region

New machines marked as NOT_WORKING
----------------------------------
Kawai KSP10 Digital Piano [DBWBP]

-tlcs900: Fix MAX instruction (nw) [AJR]

-drcbex64: fix pushf/popf bug (nw) [Patrick Mackinlay]
 * @cuavas please cherry-pick into release branch to fix drc crashes.

-this format was redundant (nw) [MetalliC]

-arm7: Added placeholder devices for PXA250 and PXA270, and corrected PXA255 CPU ID. [Ryan Holtz]

-pxa255: Added preliminary support for RTC, clock, and power management registers. [Ryan Holtz]

-zaurus: Added correct dumps for SL-5500 model. Renamed existing SL-5500 model to suspected model (SL-C500). [Ryan Holtz]

-merge fixes, nw [mooglyguy]

-(nw) (destdrby) Rom Image Corrections/Fixups: [Frank Palazzolo]
 * Various prom image issues were fixed
 * dmodrbcc: All 512 byte roms were set to length 256 (incorrect length) Some upper bits in nibble-wide roms were not set to default
    zero
 * destdrby ("new" driver): Added newly dumped roms from exidy PCB, images now match fixed images from dmodrbcc (expected) Added new
    skeleton driver in exidyttl.cpp. (Redundant with dmodrbcc in chicago.cpp, but it is a different PCB layout and different
    company)
 * deathrac: Images 36 and 35 were corrupt, fixed with correct images from bootleg rhunting Added note about format of image 36
 * rhunting: Images now match death race 100% Driver now uses deathrac rom images

-diexec: m_totalcycles workaround doesnt apply anymore (nw) [hap]

New working clones
------------------
Elite A/S Challenger (Glasgow program, set 2) [Berger]

-Revert "diexec: m_totalcycles workaround doesnt apply anymore (nw)" [hap]
 * This reverts commit 08c0e1b4b6be983d4ebbfef21b238b033c1f3c0e.

-n64: modify burn_cycles method (nw) [hap]

-diexec: m_totalcycles workaround doesnt apply anymore (nw) [hap]
 * (cherry picked from commit 08c0e1b4b6be983d4ebbfef21b238b033c1f3c0e)

-zaurus: Added skeleton Intel SA-1110 device. Added proper OS dumps for the SL-5500. [Ryan Holtz, O. Galibert]

-k051649.cpp: Fix frequency behavior Modernized save state, Correct type values [cam900]

-pc98.xml: fix mismatch between panicbom and hldrun sets (nw) [angelosa]

-fidel_elite: add cpu freq selection to eas (nw) [hap]

-novag_sexpert: default ver b/c cpu to 6mhz (nw) [hap]

-zaurus.cpp:  Fix dummy hashes left in for zsl5500 (nw) [Scott Stone]

-(nw) get help from website instead of files that don't exist. [Robbbert]

-Switch all the pre-WPC Williams pinballs to using io port arrays for their switch matrix, which gets rid of runtime lookups and
 fixes MAME crashes if a value with more than one bit set is written to the column select. [Lord Nightmare]

-saa1099.cpp: Fix output, frequency behavior, Add notes Reduce unnecessary, unused valutes, Reduce duplicates, macros gblaster.cpp,
 sblaster.cpp: Fix output, clock inputs, verified from real hardware vgmplay.cpp: Support SAA1099 stereo output, reference: pinout,
 datasheet [cam900]

-accomm: Keyboard improvements, Stop is mapped to reset line. [Nigel Barnes]

-electron: Simplify palette, and also attach Plus 1 device by default. (nw) [Nigel Barnes]

-bbc_acorn8271/bbc_ams3: Correct 8271 clock (nw) [Nigel Barnes]

-mephisto_academy: move to separate driver (nw) [hap]

-work in progress driver of Specialist-based hardware, credits later (nw) [MetalliC]

-nl (nw) [MetalliC]

-special_gambl.cpp fix gfx glitches (nw) [MetalliC]

New machines marked as NOT_WORKING
----------------------------------
Kawai SX-240 8-Voice Programmable Polyphonic Synthesizer [DBWBP]

-(Grant Searle drivers) Add license headers [Frank Palazzolo]

-mrrack: Add Version 1.53 ROMs [DBWBP]

-(nw) homelab: finished with this for now. [Robbbert]

-(nw) llc2: oops, mistake [Robbbert]

-i86: Fixed old regression with NEG opcode flags. [dink/fbneo]

-i86: forgot carry flag for neg opcode (nw) [hap]

New machines marked as NOT_WORKING
----------------------------------
Michael Jordan (1.30) [PinMAME]

New clones marked as NOT_WORKING
--------------------------------
Laser Ball (L-2, PROM sound) [PinMAME]

-s3.cpp: corrected Pokerino sound PROM [PinMAME]

-sdk86: force mame to pick default layout (nw) [hap]

-windows: more lenient with resizing very large views in windowed mode (nw) [hap]

-(nw) camplynx: don't use rom region as ram [Robbbert]

New working machine
-------------------
Dice game [Aleksandr Gofman, MetalliC]

-schick.cpp: added dipswitches (nw) [Ivan Vangelista]

-(nw) pk8000: cleanup [Robbbert]

-Ensure SDBD operations set correct condition flags. Use a 16 bit temp variable so the high 8 bits from the second read are
 discarded and can't affect the COV calculation. [Andrew Green]

-megaplay.cpp: Add motherboard PLDs [caius]

New machines marked as NOT_WORKING
----------------------------------
EMAX II 16-Bit Digital Sound System [DBWBP]

-ym2151.cpp: Fix noise behavior (#6852) [cam900]

-Fix Clang build (nw) [arbee]

-Fix vs2019 build [Frank Palazzolo]

-Add missing driver entry destdrby (nw) [Frank Palazzolo]

-Fix comment [Frank Palazzolo]

-(nw) zorba: adjusted to requirements [Robbbert]

-windows: reduce minimum window height (nw) [hap]

-sdk86: fix crash when trying to create snapshot (nw) [hap]

New clones marked as NOT_WORKING
--------------------------------
Last Action Hero (1.07) [José Renato Castro Milanez, Sergio Munemori]

-crshrace.cpp: very minor cleanups (nw) [Ivan Vangelista]

New working clones
------------------
Master Boy (1987, Z80 hardware, Ichi-Funtel, set 2) [Retromaniacs, Recreativas.org]

New clones marked as NOT_WORKING
--------------------------------
Nove Diamante [Ioannis Bampoulas]

-goldstar.cpp: fixed my previous commit (nw) [Ivan Vangelista]

-replaced lambda with bank [Robbbert]

-replaced lambdas with bank [Robbbert]

-Only build asmjit on x86 and x86_64 [Julian Sikorski]

-homelab replace lambda with bank [Robbbert]

-silence of the lambdas [Robbbert]

-dragon200e: Implemented external character ROM. [Nigel Barnes]

-sgi_mips.xml, bbc_cass.xml:  Various XML format fixes (nw) [Scott Stone]

-fmtowns_cd.xml: 26 new dumps, 24 replacements (#6838) [r09]
 * fmtowns_cd.xml: 13 new dumps, 13 replacements
   - New dumps from redump.org (working):
   - Akiko - Premium Version Curse Gambler - Queen's Cup Gokuraku Mandala Iris-tei Serenade Marionette Mind Mirage 2 - Torry, Neat &
      Roan Fairladies in MagicLand Noushuku Angel 120% Shamhat - The Holy Circlet (FM Towns Marty version) Tenshin Ranma The Manhole
      (1990-08-01) Two Shot Diary
   - New dumps from redump.org (not working):
   - True Heart
   - Replaced entries with dumps from redump.org:
   - Alshark Branmarker 2 Dragon Knight 4 Eimmy to Yobanaide Evolution Gunblaze Igo II Lesser Mern Princess Maker 2 Rayxanber
      Vastness - Kuukyo no Ikenie-tachi Youjuu Senki 2 - Reimei no Senshi-tachi Zenith
 * fix sha1 (nw)
 * fmtowns_cd.xml: 14 new dumps, 11 replacements
   - New dumps from redump.org (working):
   - Cal III - Kanketsu-hen Chiemi & Naomi Eikan wa Kimi ni 2 - Koukou Yakyuu Zenkoku Taikai FM Towns Application Catalog CD-ROM -
      Original Soft-hen G5 (HMA-206) Hyper Fetishism Illust Hyakka - Yamashita Hideki no Ikiiki Cut-shuu Jouhou Club - Card
      Processor Ver. 1.1 Mahjong Musashi Manami no Doko made Iku no? 2 - Return of the Kuro Pack Viper-V12 RS
   - New dumps from redump.org (not working):
   - Pro Student G (ALS-0010) Towns-Telop
   - Replaced entries with dumps from redump.org:
   - 4D Tennis Arabesque - Shoujo-tachi no Orinasu Ai no Monogatari Ayumi-chan Monogatari Cal Towns Custom Mate 2 & Itsuka dokoka de
      Pro Student G (ALS-0004) Space Rogue The Atlas Viper-V8 Turbo RS Viper-V10 Turbo RS YES! HG - Erotic Voice Version

-Add arm64 and s390x to travis CI [Julian Sikorski]

-s8-9-11: fixed old copypaste mistake [Robbbert]

-netlist: code maintenance [couriersud]
 * decrease use of reinterpret_cast.
 * change some defaults for better ttl game optimization.
 * various code cleanup.

-netlist: include file refactoring. [couriersud]
 * The purpose of this ongoing exercise is to remove unnecessary dependencies in header files. netlist implementations should only
    have access to what they need. The same applies to device implementations.
 * Core stuff will be moved to the core subdirectory going forward.

-netlist: fix 74377 pin assignment [couriersud]

-netlist: Fix parameter value resolution on rom devices. [couriersud]
 * also simplifiy a return.
 * document parameter value resolution.

-MT 07689: Still Crazy: Loss of sound [Robbbert]

-ti99: Fixed debugger_write in datamux, used wrong address variable for PEB access. [Michael Zapf]

New NOT_WORKING software list additions (leapfrog_mfleappad_cart.xml)
---------------------------------------------------------------------
Disney/Pixar Cars (Spain) [TeamEurope, ClawGrip]

-netlist: add hints for outputs not connected. [Couriersud, Aaron Giles]
 * Logic and analogue outputs can now be flagged as "NC" (not connected).
 * Example: "HINT(IC13.4, NC)".
 * This will suppress info messages to be logged.
 * The HINT must apply to an existing terminal. HINTs for non-existing terminals are treated as fatal errors.
 * Terminals and logic inputs not connected are still treated as warnings. These need though and a proper fix.

-s3-11: Added override for all early williams pinballs [Robbbert]

New NOT_WORKING software list additions (pi_storyreader_cart.xml)
-----------------------------------------------------------------
Disney Blanca Nieves y los siete enanos (Spain) [TeamEurope, ClawGrip]
Disney El Rey León (Spain) [TeamEurope, ClawGrip]
Walt Disney Peter Pan (Spain) [TeamEurope, ClawGrip]

New NOT_WORKING software list additions (vsmile_cart.xml)
---------------------------------------------------------
Disney/Pixar Wall-E (China) [tenyuhuang]

New working software list additions (vsmile_cart.xml)
-----------------------------------------------------
Les Bisounours - Le monde merveilleux des Bisounours (France) [DisizDream]
Nickelodeon Bob L'éponge - Une journée dans la vie d'une éponge (France) [DisizDream]

-MT07340: Fix 8 way and 49 way joystick selection on vegas and seattle drivers [Ted Green]

New NOT_WORKING software list additions
---------------------------------------
novag_ssensor4: Quartz Chess Clock [Berger]

-cave: use Japanese textlayer rom for donpachijs [hap]

-new WORKING machines (#6867) [David Haywood]

new WORKING machines
--------------------
- Millennium Arcade 101 (M489) (Game Station 2 101-in-1) [TeamEurope, David Haywood]

new NOT WORKING machines
------------------------
- Hannah Montana G2 Deluxe - All in One (JAKKS Pacific TV Game) [Sean Riddle, David Haywood, Kev (FBN), anonymous]
- High School Musical G2 Deluxe - All in One (JAKKS Pacific TV Game) [Sean Riddle, David Haywood, Kev (FBN), anonymous]

new NOT WORKING software list entries
-------------------------------------
- tvgogo.xml: basketbal: Basketball (EU) [ClawGrip, TeamEurope]

new NOT WORKING machines
------------------------
- Millennium Arcade 250 (M527) [TeamEurope, David Haywood]

-sgi_mips_hdd: add software list (#6865) [Davide Cavalca]

New WORKING software list items
-------------------------------
- IRIX 5.3 HDD install [davide125]

-m72: correct xmultiplm72 romlabel typo [hap]

-cmi2x: Numerous fixes, now boots into System Software V19, and plays audio badly. [Ryan Holtz]

-Machines promoted to working: NBA Showtime: NBA on NBC (ver 2.0) [Ted Green]

-Machines promoted to working: NBA Showtime / NFL Blitz 2000 (ver 2.1) [Ted Green]

-Machines promoted to working: NBA Showtime Gold / NFL Blitz 2000 (ver 3.0) (SportsStation) [Ted Green]

-mips3: Removed depricated DRC flag and add a flag to disable intrablock branching [Ted Green]

-spectrum/beta.cpp add centronics port and joystick to clones with such features [MetalliC]

-vegas.cpp: Add default port mapping for 8WAY players.  Fixes a crash in roadburn caused by trying to read undeclared io ports. (nw)
 [Ted Green]

-vegas.cpp: Default ioport IN2 to unused for analog games (nw) [Ted Green]

-supercon: add extra keypad overlay to layout [hap]

-sidepcktj correct romlabel typo [hap]

New machines marked as NOT_WORKING
----------------------------------
Korg WaveStation EX [DBWBP]
Korg WaveStation A/D [DBWBP]
Korg WaveStation SR [DBWBP]

-Add H16 disassembler and skeleton HD641016 CPU device [AJR]

-sgi_mips_hdd: new software list additions [Davide Cavalca]

New working software list additions (ibm5150.xml)
-------------------------------------------------
Leisure Suit Larry in the Land of the Lounge Lizards [ArcadeShadow]
Mario Andretti's Racing Challenge [ArcadeShadow]
TV Sports Basketball (5.25", UK, VGA version) [ArcadeShadow]
TV Sports Basketball (5.25", UK, EGA/TANDY version) [ArcadeShadow]
TV Sports Basketball (3.5", USA, VGA version) [ArcadeShadow]
TV Sports Basketball (3.5", USA, EGA/TANDY version) [ArcadeShadow]

-Switch William system 11/11a/11b/11c pinballs to use input_merger for the maincpu and audiocpu IRQ inputs, and rewrote the timer
 IRQ generator to be more accurate vs hardware. Fixes the advance and up/down operator inputs, and may make certain games more
 stable. [Lord Nightmare]

-make the wpc_dcs.cpp and wpc_s.cpp class definition style more consistent with the other Williams pinball drivers. [Lord Nightmare]

-It helps to actually stage the latest changes first... (nw) [Lord-Nightmare]

-mac128.cpp: clean up vestigial declarations and input ports that are unused since keyboard emulation was enabled [Vas Crabb]

-supercon, sforte: add chess icons to layout [hap]

-voodoo: Disable backbuf debug key (L), it interferes with player 3 default controls [Ted Green]

-6840ptm: Fixed a couple of issues related to the T3 divisor. [Ryan Holtz]

-cmi01a: Lowered the per-channel gain by one bit to account for all 8 channels playing at once. [Ryan Holtz]

-various devices and drivers: removed superfluous semicolons (nw) [Ivan Vangelista]

-pgmprot_igs027a_type1.cpp: simulated Photo Y2K2 sprite offset decode [iq_132]

-royalmah.cpp: decrypted mjsenka, gets in game but glitches heavily (nw) [Ivan Vangelista]

-bosco.cpp: Sprites have a lower priority than BG. (#6880) [kunikuni]

-modena: simplify nmi handler [hap]

-tilemap: default flags parameter in draw function [hap]

-Fix crash on Windows when freeing netlist objects. [Aaron Giles]

sgi_mips_hdd: new software list additions (#6885)
-------------------------------------------------
IRIX 6.5 [Davide Cavalca]

-leapfrog_mfleappad_cart.xml: fixed validation (nw) [Ivan Vangelista]

-atarirle.cpp: Fix source file name in description (#6888) [cam900]

New NOT_WORKING software list additions (vsmileb_cart.xml) (#6879)
------------------------------------------------------------------
Teletubbies (France) [DisizDream]

-New NOT_WORKING software list additions (vsmilem_cart.xml) (#6881) [ClawGrip]

New NOT_WORKING software list additions (vsmilem_cart.xml)
----------------------------------------------------------
Sporti'Folies (France) [ClawGrip]
Nickelodeon Dora L'Exploratrice - Les adventures de Dora Apprentie Mécano (France) [DisizDream]
DreamWorks Kung Fu Panda - La mission de Po (France) [DisizDream]
Martin Le Dauphin (France) [DisizDream]
Football Challenge (France) [DisizDream]
Toy Story 3 (France) [DisizDream]
Disney/Pixar Cars 2 (France) [DisizDream]

-(nw) Also fixed two wrong game serials [ClawGrip]
 * vsmilem_cart.xml: Fix validation error (nw)

-Williams System 11/11a/11b/11c pinballs: further consistency fixes with device and function names, more fixes (missed a few
 earlier) relating to the CVSD speech clock polarity and digital input bit masking, and corrected some memory/device mirroring
 issues to be consistent across the drivers. [Lord Nightmare]

-rf5c400.cpp: Fix GitHub issue #6883 (#6887) [cam900]

-mkyawdim2 fix sound, add pal dumps (#6884) [Tom]
 * mkyawdim2: fix sound, add pal dumps

-chessmachine: faster emumem init [hap]

-chessmachine: reinstate .mirror but keep umask32 [hap]

-Slotified Mac 128k/512k/512ke/Plus keyboard port. [Vas Crabb]
 * Available keyboards are us (M0110, U.S.), gb (M0110B, British), fr (M0110F, French), pad (M0120F, numeric keypad with passthrough
    port) and plus (M0110A, U.S. with integrated numeric keypad).  The mac128k, mac512k and mac512ke drivers default to the numeric
    keypad with the U.S. keyboard connected to the passthrough port; the macplus driver defaults to the U.S. keyboard with
    integrated numeric keypad.
 * Note that the numeric keypad may seem strange.  Four of the operators work as cursor arrows if you don't hold shift.  There is a
    comma on one of the keys, but by the time System 6 was released, Apple had decided an equals sign was more useful, so that's
    what it will produces on newer system versions.  The U.S. keyboard with integrated numeric keypad emulates these aspects of the
    stand-alone keypad - pressing the operator keys on the keypad sends fake shit key down/up events, and using the arrow keys while
    holding shift will produces operator characters rather than selecting text.
 * The ISO layout keyboards (M0110B and M0110F) produce different scan codes to the ANSI keyboards (M0110 and M0110A) but they don't
    report a different identification byte.  To use an ISO keyboard, you must open the Keyboard control panel and change the layout
    to International (and change it back to Domestic if you switch back to an ANSI keyboard).

This doesn't actually work at the moment due to issues with 6522 VIA emulation, but it will work with macplus sys603 if applied on
  top of revision 963a2c166d080e78e6de7fe432ed7944c59a6083.
----------------------------------------------------------------------------------------------------------------------------------

New working software list additions (vsmile_cart.xml) (#6890)
-------------------------------------------------------------
Bianfuxia - Zhengjiu Chengshi (China) [tenyuhuang]

-vsmilem_cart.xml: Fix 'cars2mf' hash (nw) (#6891) [ClawGrip]

-mac.cpp: Removed 128k/512k/512ke/Plus keyboard code - those machines were moved to mac128.cpp ages ago. [Vas Crabb]

-mackbd: Add note about needing dumps of GI PIC keyboards [Vas Crabb]

-namcos2.cpp: enabled save state support (nw) [Ivan Vangelista]

-mackbd: Added M0110T Italian QZERTY keyboard and updated notes. [Vas Crabb]

-bus/mackbd: Added M0120P keypad, updated notes. [Vas Crabb]

-ac1: cleaned, added speaker [Robbbert]

-bus/mackbd: Added more notes, including a scan code table. [Vas Crabb]

-bus/mackbd: Silence debug logging when M0110A keyboard ensures bus pins aren't pulled down [Vas Crabb]

-dooyong: add button#3 to sadari [hap]

-vector4: added notes [Robbbert]

-wd_fdc.cpp fix spinup on interrupt command samcoupe.cpp enable floppy sounds [MetalliC]

-gotcha.cpp, zerozone.cpp: minor cleanups (nw) [Ivan Vangelista]

-ac1: rewrote the keyboard [Robbbert]

-spectrum: implemented Kempston Disc Interface [MetalliC]

-spectrum/d40.cpp add joystick port [MetalliC]

-wd_fdc.cpp do not RESTORE at reset WD1770/72 [MetalliC]

-vice versa (nw) [MetalliC]

-netlist: code maintenance and bug fixes. [couriersud]
 * palloc.h/pmatrix2d.h: Fix static_assert warnings at the origin.
 * Rework hints to broaden their use and fix NC hint.
 * 74377: use NC hint
 * plists.h: Fix debugging in MSVC
 * Include cleanup: Move everything not needed by netlists from nl_setup.h into core/setup.h
 * Fix some clang tidy warnings
 * srcclean

-namcos2.cpp: corrected rthun2 and rthun2j ROM labels [Heihachi_73, ClawGrip]

-apple3: upload the font at the end of VBL, not the start [robj]

-bus/mackbd: Added French and Japanese Mac Plus keyboards, and more notes. [Vas Crabb]

-mac128.cpp: Removed keyboard clock inversion hack - keyboard works on macplus, mac512k and mac512ke. [Vas Crabb]

-drcbex64: implemented asmjit emitter [Patrick Mackinlay]
 * consolidated many helpers
 * corrected previously reported bugs

-mikro80: cleanup [Robbbert]

-sgi_mips.xml: Many new additions (#6868) [Michael D]
 * sgi_mips.xml: New additions
   - European Language Module 1.3.1
   - Desktop Special Edition 1.0
 * sgi_mips.xml: Add European Language Module 1.1
 * sgi_mips.xml: small update
 * This commit changes the P/N of version 1.2 of the European Language Module 1.2 to the P/N that is more in-line with the other
    language modules. This P/N was verified against and is printed on an original disk.
 * sgi_mips.xml: Add the original IndiZone CD
 * sgi_mips.xml: Fix names for the IndiZone discs
 * sgi_mips.xml: Add two new versions of ONC3/NFS
 * Also fix two typos in the existing ONC3/NFS version 1.2 chd (the p/n was wrong, and the name was inconsistent with the actual CD
    label)
 * sgi_mips.xml: Add IRIX 5.1.1.2 patch CD
 * sgi_mips.xml: Add IRIX 5.2 for Indy R4600 PC
 * Also rename the existing IRIX 5.2 for the R4600SC/XZ to irix_5_2_b as it was released 4 months later and has a higher P/N.
 * sgi_mips.xml: Fix typo in P/N for deskse_1_1
 * Verified against the original CD

-6821pia: guard against side effects when these should be disabled [68bit]

-rs232 serial printer: initialize the data output high. [68bit]
 * High is the restful state for RS232. The low level could cause continual breaks to be received by an attached device and this
    could cause problems for some drives.

-os9 dsk: add 8 inch, 16 sector, single density formats [68bit]
 * These formats were by OS9 L1 on the Motorola EXORciser.

-MDOS disk format support [68bit]
 * Motorola DOS, used on the EXORciser etc.

-wd177x dsk: be permissive of some missing sectors in later tracks [68bit]
 * A single missing sector was causing it to give up on an images, as incompatible. Being a little more permissive here helps
    working with some old recovered disk images with some lost sectors.

-orao: cleanup [Robbbert]

-sgi_mips.xml: line 734, validation error [Robbbert]

-Miscellaneous SPG-related additions, changes, and improvements associated with recent promotions. [David Haywood]

-Added alternate V.Smile V.Motion BIOS. [Sean Riddle, TeamEurope]

New working machines
--------------------
Dora l'exploratrice - Pocket Dream Console (VideoJet, France) [TeamEurope, David Haywood]
PDC50 - Pocket Dream Console (VideoJet, France) [TeamEurope, David Haywood]
Plug Play TV Games 2 (4-in-1) (VideoJet, France) [TeamEurope, David Haywood]
PDC40 Tactile - Pocket Dream Console (VideoJet, France) [TeamEurope, David Haywood]

New machines marked as NOT_WORKING
----------------------------------
Virtual TV Ping Pong [Sean Riddle, David Haywood]
Kiu Games [TeamEurope, David Haywood]

New NOT_WORKING software list additions
---------------------------------------
vsmilem.xml: [David Haywood]
Action Mania (USA) [Sean Riddle, TeamEurope]
Soccer Challenge (USA) [Sean Riddle, TeamEurope]
Marvel Spider-Man & Friends - Secret Missions (USA) [Sean Riddle, TeamEurope]
Toy Story 3 (USA) [Sean Riddle, TeamEurope]

-hp_ipc: added beeper (#6893) [fulivi]

-voodoo.cpp: Only flag texture controls as changed if they are actually changed. [Ted Green]

-netlist: Add comparison operators to pfunction. [couriersud]
 * Comparison operators evaluate either into 0.0 or 1.0. Thus they can be used like "(a==1)*(b==2)" which will only result in 1.0 if
    a equal 1 and b equal 1. From the yet to be released test code:
   - PFUNCEXPECT("1==1", 1.0)
   - PFUNCEXPECT("1 *0 == 2-1-1", 1.0)
   - PFUNCEXPECT("0!=1", 1.0)
   - PFUNCEXPECT("0<1",  1.0)
   - PFUNCEXPECT("1>0",  1.0)
   - PFUNCEXPECT("0<=1", 1.0)
   - PFUNCEXPECT("1>=0", 1.0)
   - PFUNCEXPECT("1<=1", 1.0)
   - PFUNCEXPECT("1>=1", 1.0)
   - PFUNCEXPECT("if(1>0, 2, 0)", 2.0)
   - PFUNCEXPECT("if(0>1, 2, 3)", 3.0)
   - PFUNCEXPECT("if(sin(1)>0, 2, 3)", 3.0) // fail

-voodoo: SSE use shift left by 8 instead of floating point multiply by 256 for perspective correction calculation. [Ted Green]

-spectrum/mgt.cpp make DISCiPLE/+D to work with 128K Spectrum models [MetalliC]

-big10.cpp, kas89.cpp, kurukuru.cpp, tonton.cpp: enabled save state support. [Ivan Vangelista]
 * luckybal.cpp, rulechan.cpp: fixed save state support.

-sothello.cpp: demoted to MACHINE_NOT_WORKING since it hasn't worked since the M6809 rewrite in 0.148u2 (see MT06033)
 [Ivan Vangelista]

-ddragon.cpp: updated ROM loading for ddragon6809, now matches ddragon6809a and compares better with ddragon [Ivan Vangelista]

-cop452: fixed validation (Device cop452.cpp(COP452) short name contains invalid characters) [Ivan Vangelista]

New working clones
------------------
Space Trek (Video Game S.A., Spanish bootleg of Scramble) [Rubén Casaña (Retro Arcadia Valencia), Isaías Hernández]

New working clone
-----------------
Dead Or Alive ++ (Korea) [chacal231077]

-galeb: cleanup, preliminary cassette, notes [Robbbert]

-spectrum/mgt.cpp minor inhibit logic and reset fixes [MetalliC]

-devices/machine/iwm.cpp, device/machine/ncr539x.cpp, mame/machine/abc1600mac.cpp: fixed initializations issues that were causing
 problems in devnoclear debug builds (nw) [Ivan Vangelista]

-ddragon.cpp: modified ddragon6809 machine config to actually reflect what's on the PCB [Ivan Vangelista]

-netlist: Add log() to pfunction. [Aaron Giles]

-netlist: Add a parameter to varclock. [Aaron Giles]

-netlist: Align design VARCLOCK to AFUNC. [Aaron Giles]

-netlist: add more constructors and () operator to pfunction. [couriersud]

-Add Monkey King 3B SoC skeleton and RS-70 system (#6906) [David Shah]

New machines marked as NOT_WORKING
----------------------------------
RS-70 648-in-1 [David Shah]

-mk3b: Added a skeleton driver for the Monkey King 3B SoC. [David Shah]

-devices/machine/6850acia.cpp, device/machine/upd4992.cpp, mame/video/jangou_blitter.cpp: fixed initializations issues that were
 causing problems in devnoclear debug builds (nw) [Ivan Vangelista]

-devices/video/dp8350: initialized one variable which caused issues in debug devnoclear builds (nw) [Ivan Vangelista]

-sothello: simplify maincpu-subcpu comms, game works again [hap]

-Fix visual build.  Change return value to same type as expected. [Ted Green]

-devices/machine/saa1043, mame/video/k057714: fixed some initialization problems noticed in debug devnoclear builds
 [Ivan Vangelista]

-netlist: add progress indicator to nltool. [couriersud]
 * When running a netlist "--progress" may be used to display a progress indicator.

-netlist: fix pfunction if [couriersud]
 * The if postfix evaluation corrupted the stack.

-netlist: Fix polarity of 74LS125 tristate input. [couriersud]

-mdos dsk: fix the cells size and gaps, make clear its Motorola MDOS [68bit]

-devices/cpu/h8/h8dma, devices/machine/generalplus_gpl16250soc, devices/machine/spg110_video: initialize some variables which were
 causing malfunctions in debug devnoclear builds (nw) [Ivan Vangelista]

-taito_l: remove old debug logging, fix fhawk rombank mask [hap]

-naomi.cpp minor bios version note [MetalliC]

-eprom: Fix MT 07691 [AJR]

-cowrace: Fix MT 07690 [AJR]

-rf5c400.cpp: Minor revert PR #6887 (#6889) [cam900]

-devices/bus/hp_hil/hlemouse, devices/machine/arm_iomd, mame/machine/mct_adr: initialize some variables that were causing problems
 in debug devnoclear builds [Ivan Vangelista]

-ondra: cleanup, added sound. [Robbbert]

New NOT_WORKING software list additions (mobigo_cart.xml) (#6902)
-----------------------------------------------------------------
Dreamworks Shrek - Forever After (US) [TeamEurope]
Disney Princess (USA, alt) [TeamEurope]
Sesame Street - Elmo and Abby - Nature Explorers (USA) [TeamEurope]
Disney/Pixar Brave (USA) [TeamEurope]
Disney Jake and the Neverland Pirates (USA, alt) [TeamEurope]

-Also Fixed 'tbell' hash and sorted the list (nw) [ClawGrip]

-vsmilem_cart.xml: Add some serials, update notes, and rename a set to follow naming convention (nw) (#6900) [ClawGrip]

-New machines marked as NOT_WORKING (#6892) [ClawGrip]

New machines marked as NOT_WORKING
----------------------------------
Far West [Victor Fernandez (City Game), ClawGrip]

-Add 'cfarwest' (nw) [ClawGrip]

-microdar.cpp: fixed validation error [Ivan Vangelista]

-devices/machine/8042kbdc, mame/machine/s32comm: initialize variables which caused problems in debug devnoclear builds
 [Ivan Vangelista]

-Fixed arcade build (#6910) [MASH]
 * Fixed arcade build
 * Added special_gambl.cpp to arcade.flt
 * Fixed arcade build
 * Added audio\special.cpp/h to arcade.lua

-sgi_mips_hdd: new software list additions (#6903) [Davide Cavalca]

-bus/qbus/qbus.cpp: fixed missing initialization that was causing crashes in devnoclear debug builds [Ivan Vangelista]

New clones marked as NOT_WORKING
--------------------------------
Last Action Hero (1.04 France) [PinMAME]

-Added correct ROMs for pentacup2 [PinMAME]

-netlist: Add basic unit testing support. [couriersud]
 * Add google test syntax compatible unit testing support. This is a very limited subset of the google test framework and not
    intended ever to be a replacement. Adding a dependency to google test for the functionality required was considered to be an
    overkill.
 * nltool -c tests runs unit tests if linked in. This is *not* the case for the version of nltool compiled with TOOLS=1.
 * Added unit tests for plib::pfunction.

-netlist: remove soft reset support. [couriersud]
 * Electronic circuits and base components like resistors or capacitors do not have a reset line. You can use them to create reset
    circuits. There is thus no point to support soft reset, the equivalent to pressing the reset button.
 * Fixed some bugs around reset and start up logic.
 * This also fixes the "scramble F3" crash.

-ondra: removed bank2 since it is just fixed ram [Robbbert]

-m6809: Still perform an IRQ acknowledge cycle on software interrupts. Fixes Fairlight CMI IIx memory-map diagnostics. [Ryan Holtz]

-cmi01a: Initial framework for ticking envelope timer. [Ryan Holtz]

-cmi2x: Completely reworked memory mapping. Performance no logner tanks during disk or screen accesses. [Ryan Holtz]

-hp_ipc: fixed timer reloading in COP452 (#6914) [fulivi]

-new WORKING machines (plug and play) (#6909) [David Haywood]

new WORKING machines
--------------------
Totally Spies! (France) [TeamEurope, David Haywood]
PDC150 Tactile - Pocket Dream Console (VideoJet, France) [TeamEurope, David Haywood]
PDC200 - Pocket Dream Console (VideoJet, France) [TeamEurope, David Haywood]
Guitar Buster [Sean Riddle, David Haywood]

new NOT WORKING machines
------------------------
Marvel Avengers TV Game Console (32-bit) (Lexibook) [TeamEurope, David Haywood]
Wireless Duet Play Ping-Pong [Sean Riddle, David Haywood, Dave 'Foxhack' Silva]

new NOT WORKING software list entries
-------------------------------------
tvgogo.xml: Basketball (US) [Sean Riddle, David Haywood]

-taitogn: sianniv doesn't have zsg2 sound [hap]

-mpu4vid.cpp: Added AY8913 sound chip back to MPU4Video boards to fix the 'lock in warning' sounds in The Crystal Maze. Adjusted
 internal layouts to fix ESCAPE button alignment. [James Wallace]
 * v4mate and clones: adjusted clock speed of sampled sound board, fixes playback. Adjusted inputs to match reports in test mode.

-netlist: pfunction now supports unary minus operators. [couriersud]

-netlist: update documenation on noise sources. [couriersud]

-k007232.cpp: Updates sound routines (#6857) [cam900]
 * k007232.cpp: Updates and cleanup [cam900]
   - Use device_memory_interface for fetching sample
   - Fix frequency behavior
   - Allow dynamic clock changes
   - Use shorter/correct type values
   - Simplify update routine

-Williams System 11C "background" Audio Board: Add PIA portb and cb2 write callbacks and synchronize fences, and hook them up, this
 fixes the "MUSIC ERROR" and various bg-music feedback-triggered sounds in Williams System 11C pinballs, i.e. the "song" in Dr. Dude
 works correctly now. This is also preparation for renaming this device to "Williams D-11581 Audio Board" as the same PCB is also
 used on some Midway Y-unit arcade games, some Williams System 11A pinballs and all Williams System 11B pinballs (except Jokerz),
 not just on Williams System 11C pinballs. [Lord Nightmare]

-rf5c400.cpp: Modernized save states, Allow clock changed behavior Add imperfect_features related to unemulated effects and
 unverified envelope issues [cam900]

-Add notes to Williams D-11581 Audio Board device [Lord Nightmare]

-tigeroad.cpp: enabled save state support, minor cleanups (nw) [Ivan Vangelista]

-sfkick.cpp: switched to bankdev (adapting pengadvb.cpp implementation), enabled save state support [Ivan Vangelista]

-devices/bus/amiga/zorro/a590.cpp: dumped bios version 5.92 for the A2091 [Guru]

-supertnk.cpp: enabled save state support [Ivan Vangelista]

-Williams System 11B: switched to use the Williams D-11581 "Audio Board" device instead of its own implementation. Document the
 switches needing to be held to get in-game in all of the System 11B pinballs. Fill out the remainder of the System 11B switch
 matrix to allow all 64 possible switches to be hit. [Lord Nightmare]

-Plug and Play (Wireless Fitness) + some GBA pirate stuff (#6921) [David Haywood]

new WORKING machine
-------------------
Wireless Fitness / Dance Fit (Senario) [Sean Riddle, David Haywood, anonymous, Kev (FBN)]

new software list entries
-------------------------
gba.xml: [David Haywood]
Rayman IV (Rayman - Sunshine of Trip) (unlicensed) (protection hacked) [RibShark]
Rayman IV (Rayman - Puteshestviye Solnechnogo Sveta) (unlicensed) (Russian) (protection hacked) [taizou]
Leiman IV - Guangming Zhi Lv (unlicensed) (Chinese) (protection hacked) [侵蚀你的私处]
Super Mario DX (unlicensed) (protection hacked) [taizou]
Chaoji Maliou DX (unlicensed) (Chinese) (protection hacked) [yy小龙虾]
Crash Advance IV (unlicensed) (protection hacked) [taizou]
Digimon - Ruby and Sapphire (unlicensed) (protection hacked) [taizou]
Pokemon - Sapphire Version (unlicensed) (protection hacked) [taizou]
Sonic 3 - Fighter Sonic (unlicensed) (protection hacked) [taizou]
Teenage Mutant Ninja Turtles 2 (unlicensed) (protection hacked) [taizou]
The Lord of the Rings IV - The Fellowship of the Ring (unlicensed) (protection hacked) [taizou]
Ultraman - Confrontation Between Justice And Evil (Ul'traman - Konfrontatsiya mezhdu spravedlivost'yu i zlom) (unlicensed) (Russian)
  (protection hacked) [taizou]
X-Man - Armour of Might (X-men) (unlicensed) (Russian) (protection hacked) [taizou]

-Minor System 11 Audio notes updates/fixes, [Lord-Nightmare]

-cave.cpp: Use gfxdecode for sprite decoding (#6920) [cam900]
 * Use generic gfx layout for 4bpp tilemap, Reduce duplicates, Unnecessary values

-tourvis.cpp: Add BIOS V4-54 [Juan Romero, ClawGrip] (#6919) [ClawGrip]

-pdp11: replace GPL code (nw) (#6923) [shattered]

-gba.xml: line 41662: fixed validation error [Robbbert]

-pdp11.h: make the enum uint16_t [hap]

-cmi01a: Checkpoint so Phil can have a look, nw [Ryan Holtz]

-epos: added IGMO's color prom, palette is now correct [Andrew Welburn, Craig Anstett]

-tvgogo.xml:  XML format fixes (nw) [Scott Stone]

-sgi_mips_hdd: new software list additions (#6915) [Davide Cavalca]

-Update ibm5150.xml (#6912) [ArcadeShadow]
 * Dragon's Lair (5.25"), Leisure Suit Larry Goes Looking for Love (in Several Wrong Places) (5.25"), Leisure Suit Larry Goes
    Looking for Love (in Several Wrong Places) (3.5")

-goldnpkr.cpp: Clean-ups, fixes, updated links, and a new addition. [Roberto Fresca]

New working clones
------------------
Jack Potten's Poker (set 13, ICP-1 PCB) [Roberto Fresca, Matt B]

-Fix clang error: private field 'm_ram_indices' is not used [-Werror,-Wunused-private-field]

-bishi.cpp, konmedal68k.cpp: moved dobouchn from the former driver to the latter, GFX are mostly corrected [Ivan Vangelista]

-galaxian.cpp: marked one of sirio2's program ROMs as bad bishi.h: removed donouchn machine config I had forgotten in the last
 commit pcat_dyn.cpp: apply same ROM patch to toursol1 that is already used to bypass protection in toursol [Ivan Vangelista]

-looping.cpp: enabled save state support [Ivan Vangelista]

-pcat_dyn.cpp: removed helpers I had accidentally left in [Ivan Vangelista]

New working clones
------------------
Ms. Pac-Man (Novatronic bootleg) [Juan Romero, ClawGrip]

-polylgcy.cpp: Fix outdated missing MAX macros used for statistics [Ted Green]

-validity.cpp: Added checks for bilinear filter vector routines [Ted Green]

-orion, partner, radio86, mikrosha, apogee: small cleanup [Robbbert]
 * ondra: fixed bug, updated xml.

-goldnpkr.cpp: Merged animpkr and animpkra. They are just one set with banked programs. Added technical notes. [Roberto Fresca]

-mpu4vid: allow v4strike and v4barqst to decode questions and fix some clone relationships (#6930) [David Haywood]

New working clones
------------------
Ms. Pac-Man (bootleg, set 3) [Andrew Welburn]

-progolf.cpp: documented differing opcode in progolfa which causes the wrong ball positioning (nw) [Ivan Vangelista]

-llc2: cleanup, added cassette [Robbbert]

-Truco-Tron: Cleaned up the driver and improved the documentation. [Roberto Fresca]

-simpsons: correct refresh rate [hap]

-simpsons: get rid of black borders/improve screen aspect ratio [hap]

New working machine added (#6935)
---------------------------------
Micro Vs. System: Donkey Kong Hockey [algestam, Ryan Holtz]

-hh_sm510: share common input ports for Micro Vs System [hap]

-ui: able to show emulation warnings from tab menu [hap]

-ui: allow to skip warning popup at start [hap]

-gnw_dkong3: Add pcb label (#6936) [algestam]

-Begin pruning of redundant #includes (nw) [Scott Stone]

-Revert "ui: allow to skip warning popup at start" [Vas Crabb]
 * This reverts commit 74f456df945cd1720dc4d6bc105f64c13e62ced8.
 * I will allow the feature with the following conditions:
   - No skipping red warnings.
   - A key-value map of device shortnames and yellow warnings must be stored in the .cfg file, along with a timestamp of the last
      time the system was run and the last time a warning was shown.
   - On starting a system, the map of device shortnames and yellow warnings must be built and compared to the one loaded from the
      .cfg file.  If it doesn't match, if the system hasn't been started in seven days, or a yellow warning hasn't been shown in 14
      days, the warning is not to be skipped.

New machines marked as NOT_WORKING
----------------------------------
Proteus/1 16-Bit Multi-Timbral Digital Sound Module [DBWBP]
Proteus/1 XR 16-Bit Multi-Timbral Digital Sound Module [DBWBP]
Pro/Cussion Maximum Percussion Module [DBWBP]
Vintage Keys Classic Analog Keyboards [DBWBP]
Orbit 9090 - The Dance Planet [DBWBP]
Planet Phatt [DBWBP]
Carnaval - Jugando con Fuego [DBWBP]

-drcbe: fixed logging problem [Patrick Mackinlay]

-ui: fix initial message popups not showing on d3d/bgfx [hap]

-ui: swap order of popup screens (gameinfo first, warnings second), add "press any key" to gameinfo [hap]

-ibm5150.xml: fix dataarea sizes (nw) [r09]

-emu68k.cpp: Minor update [AJR]

-drcbex86: implemented asmjit emitter [Patrick Mackinlay]

-Remove x86emit.h [AJR]

-sgi_mips.xml: New additions (#6899) [Michael D]
 * sgi_mips.xml: Add Hot Mix 5 and 7 CDs
 * sgi_mips.xml: Add missing CDs for SupportFolio 10/96
 * sgi_mips.xml: Add SupportFolio 2/97 and 4/97 CDs
 * sgi_mips.xml: Add SupportAdvantage 10/94 and 6/95 CDs

-sgi_mips.xml: fix bad dump (nw) (#6904) [Michael D]

-sgi_mips: new software list additions (#6905) [Davide Cavalca]

-pc98_cd.xml: 15 new dumps, 11 replacements (#6934) [r09]
 * New dumps from redump.org (working):
 * Chiemi & Naomi F15 Strike Eagle III if 2 - Invitations from Fantastic Stories Manami no Doko made Iku no? 2 - Return of the Kuro
    Pack Phobos Pro Student G (ALS-0010) YES! HG - Erotic Voice Version Yuurou - Transient Sands
 * New dumps from redump.org (not working):
 * DOR Special Edition '93 DOR Special Edition '93 (alt) Kanji Land 3-nen Kyrandia II - The Hand of Fate Lemon Cocktail Collection
    Lip 3 - Lipstick Adventure 3 Mirage 2 - Torry, Neat & Roan Fairladies in MagicLand
 * Replaced entries with dumps from redump.org:
 * Branmarker 2 Eimmy to Yobanaide Lesser Mern - Special Director's Edition Mahjong de Pon! Saint Diary - Kiyoka-chan no Nikki
    Takamizawa Kyousuke - Nekketsu!! Kyouiku Kenshuu The Legend of Kyrandia Tuned Heart Vastness - Kuukyo no Ikenie-tachi Youjuu
    Senki 2 - Reimei no Senshi-tachi Zenith - Full Animation Adventure Series #1
 * Most of these discs are hybrid (they work on both PC-98x1 and FM Towns), so their CHDs are exactly the same as in fmtowns_cd.xml.

-llc1: cleaned, added notes, marked as working [Robbbert]

-Revert "ui: fix initial message popups not showing on d3d/bgfx" [hap]
 * This reverts commit 3db9e11031c1eed826eacd12f6827d80f06413b8.

-netlist: pfunction supports unary minus and removed duplicate code. [couriersud]

-netlist: remove some warning suppression from makefile. [couriersud]

-netlist: fix signedness warnings in ptime.h [couriersud]

-netlist: unit test macros now have a "P" prefix. [couriersud]
 * will allow to use both googletest and Catch frameworks.
 * on unexpected std::exception include what() in error message.

-netlist: add 74121 device and refactor 74123 code. [couriersud]
 * added 74121 device
 * migrate dip devices to netlist devices
 * refactor code to be based on device description structs

-netlist: Add 74113 device. [Aaron Giles]

-dec8.cpp: Redumped and verified the i8751 MCU for Captain Silver (World) [Hammy & TeamEurope]

-megaplay.cpp: Added two more motherboard PLDs [caius] (#6939) [ClawGrip]

-mpu4vid temp protection workaround + lexibook Toy Story 3 (#6937) [David Haywood]
 * mpu4vid updates:
   - basic layout and input tweaks to v4addlad [James Wallace]
   - Protection workarounds to get more games showing video [David Haywood]

new NOT WORKING machines
------------------------
Toy Story 3 (Lexibook) [Sean Riddle, Kamaal Brown, David Haywood]

-mc6852 - implement more functionality, add byte interface. (#6931) [68bit]

-New machines added as WORKING [68bit]

New machines added as WORKING
-----------------------------
Motorola EXORterm 155 [68bit]

New machines marked as NOT_WORKING
----------------------------------
Sport Dart TV [Victor Fernandez (City Game), ClawGrip]

-Add 'sprtdart' (nw) [ClawGrip]

-m72.cpp: Dumped the Image Fight (World) i8751 MCU. [Hammy, TeamEurope, The Dumping Union]

-Pruning of redundant #includes located in src/mame/* (nw) [Scott Stone]

-New Working Clone - Witch Star [Brian Troha, The Dumping Union]

-Pruning of redundant #includes located in src/devices/bus/* (nw) [Scott Stone]

-Remove more redundant #includes from src/mame [AJR]

-glcx.cpp: Fix typo in documentation [AJR]

-gigatron: some more work (#6940) [Sterophonick]
 * gigatron: some more work
 * cleanup, more callbacks, start on video generation logic
 * gigatron: some more video work
 * (nw)
 * gigatron: remove random
 * (nw)

-New working clones (#6924) [ClawGrip]

New working clones
------------------
Robotron: 2084 (Unidesa license) [Juan Romero, ClawGrip]

-Add 'robotronun' (nw) [ClawGrip]

-williams.cpp: Change "FAMARE S.A." -> "Famaresa" (nw) [ClawGrip]

-New working clones (#6918) [ClawGrip]

New working clones
------------------
Galaxian (Cirsa Spanish bootleg) [Juan Romero, ClawGrip]

-Add 'galaxcirsa' (nw) [ClawGrip]

-ymz280b.cpp: Modernize save state, Fix frequency calculation (#6922) [cam900]
 * Allow side effects, Reduce unnecessary defines, Use shorter/correct type names, Fix spacings, Add notes

-Fix clang error: unused variable 'FRAC_MASK' [-Werror,-Wunused-const-variable]

-ibm5150: add XENIX Development System [Davide Cavalca]

-netlist: Forgot this as part of the 74113 change. [Aaron Giles]

-gigatron.cpp: fixed validation [Ivan Vangelista]

-Pruning of redundant #includes located in src/devices/machine/* and src/frontend/mame/* (nw) [Scott Stone]

-New working clones (#6944) [ClawGrip]

New working clones
------------------
Zero Time (Spanish bootleg) [Juan Romero, ClawGrip]

-spectrum: implemented Speccy-DOS and FloppyOne DOS interfaces, add "IC-DOS" Beta Plus clone [MetalliC]

New working clones
------------------
Astro Fighter (set 4) [Juan Romero, ArcadeHacker, Roberto Fresca, ClawGrip]

Machines promoted to working
----------------------------
unknown rocket/animal-themed poker [Roberto Fresca]

-tec1: updated notes [Robbbert]

-goldnpkr: fix build issue (#6945) [Davide Cavalca]

-ec65: cleanup, added notes [Robbbert]

-phatt: Use full system name [AJR]

-midzeus: Moved some Zeus2-specific members into the appropriate subclass, and added more state registration. [Ryan Holtz]

-tsb12lv01a: Added a skeleton device for the TI TSB12LV01A IEEE 1394 link-layer controller. [Ryan Holtz]

-ibm21s850: Added a skeleton device for the iBM 21S850 IEEE 1394 PHY controller. [Ryan Holtz]

-netlist: improve dealing with non-convergence situations. [couriersud]
 * No changes for well-behaved netlists.
 * Netlists reporting "newton loops exceeded" messages should now report a lot less of these messages.
 * In case newton-raphson does not converge, netlist will reset the state back to the beginning of the timestep. It will than use a
    number of very small timesteps to hopefully deal with the non-convergence due to a too big timesteps. Afterwards solving
    continues using dynamic timestepping until the time-slice is complete.
 * This is a lot better than the previous approach.
 * This is meant as a performance optimization helper. Ideally, your netlists never produce "newton loops exceeded" messages.
 * Any events for connected analog and digital inputs will happen after the timeslice is complete. Thus this approach - as the
    previous one - are not suited for high-frequency (such as video outputs) situations. In these case, only dynamic timestepping or
    reducing the fixed timestep are a suitable solution.

-netlist: use threads on netlist logs. [couriersud]
 * This significantly increases the performance of output/terminal logs.
 * Adds a psemaphore class to pmulti_threading.h.

-netlist: fix 74121 clocking logic. [Aaron Giles]

-fix YMZ280 breakage. on the side note, it is pretty sad to see neither of persons who did PR and other who merged it didn't tested
 these changes. [MetalliC]

-ymz280b.cpp: Better fix for signed arithmetic issue [AJR]

-Update RTD docs theme to 0.5.0 to fix search box. [Firehawke]

-vsmile: Fixed inputs. [Ryan Holtz]

-vsmile_cart: Checked all games flagged as no inputs, all that use a standard controller now work. [Ryan Holtz]

New working clones
------------------
Hammerin' Harry (World, M84 hardware bootleg) [ClawGrip, Roberto Fresca, Recreativas.org, The Dumping Union]

-netlist: fix power pin names for CMOS devices. [couriersud]
 * For truthtable cmos devices the power pin names will now be set according to the logic family.
 * Fix some issues for CD4538
 * Change "already connected" warning to info level. Some ICs (CD4538) connect pins internally to GND and the schematics again
    externally. This will cause this info to be printed. The warning now is a lot more verbose.

-netlist: first batch of explicit handlers. [couriersud]
 * Currently devices use the "update" function if no handler is given for an input.
 * For this to work the update function has to be virtual. This will cause issues on shared execution schemes like CPU/GPU using
    nvcc.
 * This is the first batch of changes to ensure that handler resolution is static.

-netlist: emit a warning every 100 invocations of nr resolution. [couriersud]

-vsmile_ctrl: Disable verbose logging (nw) [Ryan Holtz]

-mccpm: added fdc, bankdev, notes [Robbbert]

-exorterm: more realistic layout screen aspect ratio. [68bit]
 * This change adjusts the aspect ratio to bring it close to that in the photo of the screen in the manual. The monitor has a 4:3
    aspect ratio. The character area resolution is 720x288 pixels and the prior 1:1 dot ratio was far from realistic.

-netlist: next batch of explicit handlers. [couriersud]

-netlist: another batch of explicit handler refactoring. [couriersud]

-ibm21s850, tsb12lv01a: Assorted fixes, nw. The Grid no longer hangs. [Ryan Holtz]

-netlist: and the next batch of non-virtual handlers. [couriersud]

-netlist: finished input handler refactoring. [couriersud]
 * all inputs now explicitly specify a signal handler.

-netlist: Always take power pin names from logic family. [couriersud]
 * Default nmos power pins to VCC and GND.
 * MOS uses VDD/VSS - update gamemachine netlist.

-spectrum: add Logitek Proceed 1 C1541 disk interface (not fully working yet) [MetalliC]

-(nw) [MetalliC]

New working machines
--------------------
AVR-Max Chess Computer [hap]

New working clones
------------------
AVR-Max-Schachzwerg [hap]

-megadriv.xml: correct typo [hap]

-ibm21s850: Added skeleton 21S851 support, hooked it up in midzeus2 to accurately reflect the PHY model used. [Ryan Holtz]

-Machines promoted to working (#6952) [ClawGrip]

Machines promoted to working
----------------------------
V.Smile Motion [Ryan Holtz]

New machines marked as NOT_WORKING
----------------------------------
Sony NWS-3860 [Plamen Mihaylov, Patrick Mackinlay]

-m68kfpu: eplicitly set rounding mode for frem [Patrick Mackinlay]

-dac: Add ZN426E device [Dirk Best]

-i8255: Set ibf flag in output mode for port a [Dirk Best]

-samcoupe: Rework driver (WIP) [Dirk Best]
 * Rewrite memory system, now allows supporting expansion devices and better prepared for contention emulation
 * Add expansion interfaces for rear expansion, drive ports and mouse
 * Now supports the following rear expansion devices:
   - Blue Alpha Sound Sampler
   - Dallas Clock
   - 1 Mb Interface
   - SAMBUS 4-slot Expansion Interface (with clock)
   - SID Interface (6581 and 8580 variants)
   - S.P.I. SAM Parallel Interface
   - Voicebox
 * Added support for the Atom HDD interface, used in place of a floppy drive
 * Simplified and cleaned up driver
 * Temporarily deactivated joystick code, interferes with the keyboard

-bus/bbc/userport: Renamed palette.h->palext.h [Nigel Barnes]

-bus/bbc/tube: Added Acorn Z80 2nd Processor (Winchester) device. [Nigel Barnes]

-abc110: Use Z80 coprocessor with Z80 Tube 2.00, now supports Winchester. [Nigel Barnes]
 * abc310: Connect Acorn mouse to Userport.

-bus/bbc/tube: Added Torch Z80 Communicator variants for B, B+ and Master. [Nigel Barnes]

-Software list items promoted to working (vsmilem_cart.xml) (#6954) [ClawGrip]

Software list items promoted to working
---------------------------------------
vsmilem_cart: [ClawGrip]
Action Mania (USA, Rev. 4?), Action Mania (USA, Rev. 6?), Action Mania (USA), Sport Games (Netherlands), Sportskanone (Germany),
  Sporti'Folies (France), Action Mania (Spain), Disney/Pixar Cars - Vollgas in Radiator Springs (Germany), Disney/Pixar Cars -
  Quatre Roues (France), Disney/Pixar Cars - Acelera el Motor en Radiador Springs (Spain), Disney/Pixar Cars 2 (Germany),
  Disney/Pixar Cars 2 (France), Disneys Princess Cinderella - Lernen im Marchenland (Germany, Rev. 2?), Disneys Princess Cinderella
  - Lernen im Marchenland (Germany), Walt Disney Cendrillon - Le reve enchante de Cendrillon (France), Nickelodeon Dora the Explorer
  - Dora's Fix It Adventure (USA, Rev. 3?), Nick Jr Dora - Dora's Reparatie Avontuur (Netherlands), Nick Dora - Doras
  Reparatur-Abenteuer (Germany), Nick Dora - Doras Reparatur-Abenteuer (Germany, Rev. 2), Nickelodeon Dora L'Exploratrice - Les
  adventures de Dora Apprentie Mecano (France), Le Monde de Nemo - Nemo a la decourverte de l'ocean (France), Disney Handy Manny
  (USA, Rev. 2?), Disney Meister Manny's Werkzeugkiste (Germany), Disney Manny et ses outils (France), DreamWorks Kung Fu Panda -
  Der Weg des Panda (Germany), DreamWorks Kung Fu Panda - La mission de Po (France), Disney's Little Einsteins (USA, Rev. 5?),
  Disney's Little Einsteins (USA, Rev. 2?), Disney's Kleine Einsteins (Germany, Rev. 2?), Disney's Kleine Einsteins (Germany),
  Disney Mickey Mouse Clubhouse (USA), Disney Micky Maus Wunderhaus (Germany), Disney La Maison de Mickey (France, Rev. 005), Disney
  La Casa de Mickey Mouse (Spain), DreamWorks Monsters vs. Aliens (USA, Rev. 3?), DreamWorks Monsters vs. Aliens (Germany),
  DreamWorks Monstres contre Aliens (France), DreamWorks Monstruos contra Alienigenas (Spain), Mijn Puppy! (Netherlands), Mein
  erster Hund (Germany), Mon Youtou tout fou! (France), NASCAR Academy - Race Car Superstar (USA), Nickelodeon Ni Hao Kai Lan -
  Happy Chinese New Year! (USA), Nickelodeon Ni Hao Kai Lan - Joyeux Nouvel an chinois! (France), Oui-Oui - Detective d'un Jour
  (France), Disney Winnie L'ourson - La Chasse au miel de Winnie (France), Disney Winnie the Pooh - En busca de la miel (Spain),
  Disney Princess - The Princess and the Frog - Tiana's Big Dream (UK), Disney Princess - Disney Kuss den Frosch - Tianas grosser
  Traum (Germany), Disney Princess - Disney La Princesse Et La Grenouille - Le grand reve de Tiana (France), Scooby-Doo! - Panique a
  Funland (France), Scooby-Doo!! - Misterio en el parque (Spain), Soccer Challenge (USA), Fussball Meisterschaft (Germany), Football
  Challenge (France), Marvel Spider-Man & Friends - Secret Missions (USA), Marvel Spider-Man & Freunde - Geheime Missionen
  (Germany), Marvel Spider-Man & ses amis - Missions Secretes (France), Nickelodeon Spongebob Schwammkopf - Der Tag des Schwamms
  (Germany), Thomas - Freunde halten zusammen (Germany), TinkerBell (USA, Rev. 2?), TinkerBell (Germany), La fee Clochette (France),
  Disney/Pixar Toy Story 3 (USA), Disney/Pixar Toy Story 3 (Germany), Disney/Pixar Toy Story 3 (France), Disney/Pixar Toy Story 3
  (Spain), Disney/Pixar La-Haut (France), Disney/Pixar UP (Spain), Disney/Pixar Wall-E (USA, Rev. 2?), Disney/Pixar Wall-E
  (Germany), Disney/Pixar Wall-E (France), Disney/Pixar Wall-E (Spain), Martin Le Dauphin (France), Wintersport (Germany),
  Nickelodeon Wonder Pets! - Save the Animals! (UK) [Ryan Holtz]

-Fixed some game names / years / parent-clone relationships (nw) [ClawGrip]

-vsmile: Fixed cartridge CS2 select hookup. [Ryan Holtz]

Software list items promoted to working
---------------------------------------
vsmile_cart: [Ryan Holtz]
Disney's Little Einsteins (Spain), Disney Manny et ses outils (France), Disney Mickey - Mickey à la Recherche De Pluto (France),
  Scooby-Doo - Misterio en el Parque (Spain), V.Smile Art Studio (USA), V.Smile Zeichenatelier (Germany), V.Smile Studio De Dessin
  (France), V.Smile Estudio De Arte (Spain) [Ryan Holtz]
vsmilem_cart: [Ryan Holtz]
Shrek Forever After (USA), Für immer Shrek (Germany), Shrek 4 - Il était une fin (France) [Ryan Holtz]

-sgi_mips.xml:  XML format fixes (nw) [Scott Stone]

New machines marked as NOT_WORKING
----------------------------------
Captain Lucky [Siftware]

New working clones
------------------
4-in-1 (version SWS1-052587) [Siftware]
New Lucky 8 Lines (set 11, W-4) [Siftware]

-srmp6.cpp: enabled save state support (nw) [Ivan Vangelista]

-mpu4vid.cpp: hookup joystick interfaces to Tetris Payout and Prize Space Invaders [Angelo Salese]

-netlist: reduce overshoot impact on NE555 astable frequency. [couriersud]
 * If TRIG and TRESH are connected overshoot compensation will be enabled. The approach is raw but delivers results (at 5 to 10
    steps per discharge/charge) within a couple of percent. Please take into account that any datasheet formulas are idealistic.
    Neither capacitor, resistor, internal resistor tolerances are taken into account. Nor are ambient temperature and chip
    temperature.

-avr8: Fixed assorted Timer 0 and Timer 1 bugs. [Ryan Holtz]

-avr8dasm: Fixed erroneous disassembly of CBI, SBI, SBIS, and SBIC opcodes. [Ryan Holtz]

New working machines
--------------------
Power Ninja Action Challenge [Ryan Holtz]

-avr8: remove duplicate notes (they are in the cpp) [hap]

-mpu4vid.cpp: Added inputs and layout for Strike it Lucky, corrected inputs for Adders and Ladders. [James Wallace]
 * mpu4.cpp: Added support for simple LED extender used by MPU4Video games.

New working machines
--------------------
The Hardware Chiptune Project [Ryan Holtz]

-lft: fix compile? [hap]

-New WORKING machines [David Haywood]

-Use gcc broken friend workaround also with clang 8 (#6933) [Tiago]
 * Use gcc broken friend workaround also with clang 8

-lft_craft, lft_chiptune: Split 'craft' source into two drivers, fixed attribution for hwchiptn, fixed placeholder hashes for
 hwchiptn, nw [Ryan Holtz]

-spectrum: add "SDI" VC1541 disk interface (not working), Logitek Proceed1 notes. [MetalliC]

-trd_dsk.cpp add more formats, improve image type detection [MetalliC]

-twinbee: Fix VLM5030 speech at least halfway [AJR]

-s550: Improve RAM banking [AJR]

-lft_chiptune: Actually fixed ROM checksum. Don't code while tired, folks. nw [Ryan Holtz]

-blackt96.cpp, littlerb.cpp: enabled save state support [Ivan Vangelista]

-segaybd.cpp: dumped GLOC drive board ROM and added placeholders for the ones for Power Drift and Galaxy Force 2 [Guru]

-nemesis.cpp: Fix copy-and-paste mistake in c85054ada8c86d2b8716822e0afb0f7b6b7c9eaf [AJR]

-pcm: added banking [Robbbert]

-Implement FDS sound emulation (#6953) [cam900]
 * Implement FDS sound emulation

-mw8080bw: multiple improvements to gunfight netlist audio [Colin Douglas Howell]
 * Model for transistors adjusted, replacing default NPN transistor model with a high-gain NPN transistor type that more closely
    resembles those used by the real Gun Fight sound circuits. This has a quite obvious effect on the shot sounds, and it seems the
    circuits were designed for this effect.
 * Made all volume potentiometers user-adjustable; previously fixed at 50%.
 * Replaced abstract model of noise generator with component-level one, including a model of the generator's zener diode. Zener
    noise is provided by an associated Gaussian white noise source running off a 48 kHz clock. Both the zener diode and Gaussian
    white noise source are component models recently added to the netlist library.
 * Supply voltage to amplifying transistors tweaked downward from 16.5 volts to 16 volts, determined by properly analyzing power
    supply circuit and confirmed with a documented reference.
 * Much more commentary describing the sound circuits' function and modeling issues.

-busicom,sdk86,pcm: small cleanup [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
Intelligent Chess [hap, Berger, Achim]

-Update ibm5150.xml (#6946) [ArcadeShadow]
 * Bloodwych (USA), Bloodwych (Quest & Glory Compilation) (Euro), The Colonel's Bequest (5.25"), The Colonel's Bequest (3.5"), Xenon
    2: Megablast

-Update ibm5170.xml (#6947) [ArcadeShadow]
 * B-17 Flying Fortress (5.25")

-mpu4vid.cpp: Added inputs and layout for Barquest and Barquest 2, added DIL switches to Prize Space Invaders and Prize Tetris.
 [James Wallace]
 * All games in this driver now default to a common set of inputs for easier discovery. mpu4.cpp: Corrected typo in logger.

New working machines
--------------------
Micro Chess [hap, Berger, Achim]

-intchess: add screen [hap]

-intchess: add 7seg panel to layout [hap]

-tempest: andy corrected some romlabels [hap]

-netlist: Fix Inductor state saving. [couriersud]

-netlist: code maintenance. [couriersud]
 * more handler alignment
 * dead code removal
 * remove update calls which do nothing

-netlist: comment out empty reset and update calls [couriersud]

-netlist: avoid ne555 oscillation due to overshoot compensation [couriersud]

-bbc_tube_z80/bbc_tube_zep100: Clear RAM at startup and fix save state size. [Nigel Barnes]

-avr8: Added support for Timer 1 'Fast PWM with ICR' mode. [Ryan Holtz]

New working machines
--------------------
Phasor [Ryan Holtz]

Machines promoted to working
----------------------------
Intelligent Chess [hap, Berger, Achim]

-special: cleanups. Fixed cassette loading at first screen. Improved pioner. Specimx bios 1 and 2 are now usable. [Robbbert]

-leland.cpp: Identified Danger Zone as rev 2, corrected ROM labels and updated documentation. [Brian Troha]

-intchess: blend mask bugfix in .lay file [hap]

-nld_4066.cpp: Fix clang error: no matching constructor for initialization of 'analog::nld_twoterm' [AJR]

-lft_chiptune.cpp, lft_craft.cpp, lft_phasor.cpp: Use UTF8 escapes in strings to be safe [AJR]

-bus/spectrum/opus.cpp fix activation logic [MetalliC]

-special_gambl.cpp add screen raw params, notes [MetalliC]

-spectrum: implemented Swift Disc and Swift Disc II interfaces [MetalliC]

-nld_4066.cpp: Actually fix build for now [AJR]

-Fix the input matrices in Williams System 11/A/B/C and the WPC Alphanumeric drivers, so all possible inputs can be triggered with
 keyboard keys. Fixes lack of coins (which are mapped in a non-standard location) in the WPC versions of Dr. Dude. Add some notes
 about the WPC S11 sound interface adapter board used by WPC version of Dr. Dude and the prototype version of Funhouse.
 [Lord Nightmare]

-funtech.cpp: Corrected fts2in1 DIP switch connections, DIP switch settings and button labels using manual as a guide.
 [Vas Crabb, Ioannis Bampoulas]

-ibm5150: add PC/IX [Davide Cavalca]

-(nw) leland.cpp: Fill in missing ROM labels for Viper. [braintro]

-intchess: test 6502 nmi edge-trigger bug (remove || 1 and it works) [hap]

-intchess: fix cassette data input [hap]

-funtech.cpp: Use recommended button layout/labels from manual in fts2in1, also fixed coin/credit counter outputs.
 [Vas Crabb, Ioannis Bampoulas]

-nanos,mod8,mc8030,konin: minor cleanup [Robbbert]

-lucky74.cpp: enabled save state support [Ivan Vangelista]

-system1.cpp: corrected dips for blockgal (partial fix of MT07702) [Ivan Vangelista]

Machines promoted to working
----------------------------
Photo Y2K 2 / Chaoji Bi Yi Bi 2 / Dajia Lai Zhao Cha 2 / Real and Fake 2 Photo Y2K (M101XX 05/25/01 11:02:54) [iq_132, dink]

Clones promoted to working
--------------------------
Photo Y2K 2 / Chaoji Bi Yi Bi 2 / Dajia Lai Zhao Cha 2 / Real and Fake 2 Photo Y2K (ver. 100, Japanese Board) [iq_132, dink]

-k1003: fixed display [Robbbert]

-mpu4vid.cpp: Added payout shelf opto to v4psi [James Wallace]

-Modular System: minor improvements [David Haywood]

-v3021.cpp: updates [cam900]
 * Support serial interface
 * Implement RAM and address commands
 * Use device_rtc_interface for RTC handling

-plugins/autofire: don't save 2bytes cfg file (#6960) [kunikuni]

-mm74c922: data output pins are clocked the same time as DA pin [hap]

-netlist: prepare road towards trapezoidal integration. [couriersud]
 * This is a long term transition goal. Documented in source (see NL_USE_BACKWARD_EULER).

-netlist: add 74157 device. [Aaron Giles]

-netlist: Potential regression trigger. [couriersud]
 * Removed update and NETLIB_UPDATE completely.
 * Startup initialization order may change.
 * This may cause regression tests to trigger. This is expected. Logic TTL devices do not have a defined power-up state. That's why
    reset circuits exist which create a reset signal *after* all power supply lines are stable.

-netlist: Fix 4066 [couriersud]

-mpu4vid: IPT_SPECIAL does not exist: validation failed [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
Tecnodarts [Victor Fernandez (City Game), ClawGrip]

-sapi,homez80,dms5000,bob85,a7150: minor cleanup [Robbbert]

-goldstar.cpp: rearranged lucky8l 57C49B-35 contents to what MAME expects, still not clear how the game generates the palette
 usually contained in the PROM at d13 [Ivan Vangelista]

-Funhouse (L-2) [PinMAME] Funhouse (L-2, prototype PA-1 System 11 sound) [PinMAME]

New machines marked as NOT_WORKING
----------------------------------
Football [PinMAME]

New machines marked as NOT_WORKING
----------------------------------
El auto de papa [Victor Fernandez (City Game), ClawGrip]
Susanita tiene un raton [Victor Fernandez (City Game), ClawGrip]

-mc8030:don't write to regions; fk1: cleanup [Robbbert]

-namcos2: Fix default gearshift binding in Four Trax [MASH]

-New WORKING machines [68bit]

New WORKING machines
--------------------
Motorola M6800 EXORciser (M68SDT) [68bit]

-Documentation updates (#6825) [Firehawke]
 * Documentation updates [Firehawke]
   - Preliminary work on -joystick_map redesign
   - Adjustments to phrasing for analog mapping
   - Health warning text

-mess.lua: Fix build [AJR]

-tecnodar: Fix mapping; add EEPROM [AJR]

-homez80: added natural keyboard/paste [Robbbert]
 * irisha,sm1800,ht68k,tvc: cleanup

New working machines
--------------------
Chess Companion [hap, Berger, Achim]

-bus/spectrum/beta128.cpp dumped "TR-DOS v5.02" firmware [haywire]

-fix prev (nw) [MetalliC]

-netlist: include timestamp in newton-raphson loop warnings. [couriersud]

-aha1542c: ASIC note [AJR]

-6502: nmi is edge triggered [hap]

New working software list additions
-----------------------------------
Starwars (Prototype 19930125) [Arcade Shadow]

-tecnodar: Fix banking [AJR]

-mac128.cpp: HW note [AJR]

-tecnodar: Add input matrix [AJR]

-Add ACB-2072 BIOS dumps and skeleton device [rfka01, minuszerodegrees.net]

-Cleaned up the banking on the Williams System 11 Background Sound/Music board device to support banking up to 27c010 sized EPROMs,
 which are used on the prototype Funhouse pinball and on High Impact Football on Midway Y-Unit hardware. Added more notes about the
 operation/hookup and variants of the System 11 Background Sound/Music board. [Lord Nightmare]

-Fixed rom loading for Funhouse prototype w/System 11 Sound HW [Lord Nightmare, pellew]

-b2m: cleanup [Robbbert]

-netlist: fix logging of final timestamp. [couriersud]

-segas18.cpp: fixed MT07708 [Ivan Vangelista]

-segaybd: add note regarding rchase freeplay [hap]

-cpc_flop.xml: re-organised and cleaned up entries for Sly Spy - Secret Agent [Barry Rodewald]

-plugins/autofire: don't save 2bytes cfg file (nw) (#6969) [kunikuni]
 * plugins/autofire: don't save 2bytes cfg file (nw)
 * Update autofire_save.lua

-plugins/autofire: remove leftover code from first attempt at removing empty configuration files [Vas Crabb]

-Fix an accidentally clobbered line during the System 11 Banking fix. Jokerz uses a completely different background sound board to
 the other System 11 games anyway, which will be the subject of a future commit. [Lord Nightmare, MASH]

-Restore some standard library #includes, add some things that were used but not #included, and clean up some #include guards.
 [Vas Crabb]

-ut88,unistar,tricep: cleanup [Robbbert]

-primo: small cleanup [Robbbert]

-mk85,mk90,a51xx,uknc,msbc1,sys9002: slight cleanup [Robbbert]

-New working machine added (#6972) [algestam]

New working machine added
-------------------------
Bassmate Computer [algestam, Mr. Do]

-samcoupe: Add support for the S D IDE Adapter [Dirk Best]

-samcoupe/atom: Attach HDD by default, savestates [Dirk Best]

-samcoupe/blue_sampler: Savestates [Dirk Best]

-samcoupe/dallas: Init m_print variable [Dirk Best]

-samcoupe/mouse: Savestates [Dirk Best]

-geniusjr.cpp, glcx.cpp, pc2000.cpp: Document more alternate versions [AJR]

-dinetwork: Set default network device to be none to avoid inadvertantly spamming a network [Ted Green]

-machines promoted to WORKING (#6973) [David Haywood]

machines promoted to WORKING
----------------------------
The Crystal Maze (v1.3) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The New Crystal Maze Featuring Ocean Zone (v2.2) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The Crystal Maze Team Challenge (v0.9) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The Mating Game (v0.4) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Adders and Ladders (v2.1) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Strike it Lucky (v0.5) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Barquest (v2.6) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Tetris Payout (BWB TET1 Version 2.2, set 1) (MPU4 Video)  [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Blox (SJM BLOX, 50p/20p Play, Version 2.0) (MPU4 Video)  [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Prize Tetris (BwB) (MPU4 Video)  [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Vegas Poker (prototype, release 2) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood, Highwayman]

clones promoted to WORKING
--------------------------
The Crystal Maze (v1.2) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The Crystal Maze (v1.1) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The Crystal Maze (v0.1, AMLD) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The New Crystal Maze Featuring Ocean Zone (v2.0) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The New Crystal Maze Featuring Ocean Zone (v0.1, AMLD) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The Crystal Maze Team Challenge (v0.8) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The Crystal Maze Team Challenge (v1.2, AMLD) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Adders and Ladders (v2.0) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Strike it Lucky (v0.53) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Prize Space Invaders (BWB INV1, 50p/30p Play, Version 1.2) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Tetris Payout (BWB TET1 Version 2.2, set 2) (MPU4 Video)  [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Prize Tetris (BwB) (Showcase) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]

-samcoupe: Fix mode1/2 regression, add savestates [Dirk Best]

-centronics: Add SAMDAC device [Dirk Best]

-New Working Clone - Cruis'n USA (rev L4.4) [Brian Troha, The Dumping Union]
 * Correct ROM labels for Cruis'n USA, Cruis'n World & Off Road Challenge.

-bus/spectrum/floppyone.cpp, bus/spectrum/sixword.cpp add serial and parallel ports [MetalliC]

-start to untangle and split apart and properly identify some mpu4vid sets now that they boot (#6978) [David Haywood]
 * mpu4vid updates:
   - Start to untangle and split apart and properly identify some mpu4vid sets now that they boot. There's nothing actually new
      here, despite it appearing that there are a lot of new clones and new sets, they're just the result of finally being able to
      identify some things properly, work out what belongs where, and gain a better understand of what is missing - some things were
      in entirely the wrong drivers, or paired with the incorrect ROMs. [David Haywood]
   - Tweaks to some MPU4 Video inputs [James Wallace]

-imagetek_i4100.cpp: Partially fix flip screen (#6980) [cam900]
 * imagetek_i4100.cpp: Fix Sprite position, Tilemap offsets, glitches in hyprduel
 * hyprduel.cpp: Fix sprite delay
 * metro.cpp: Fix flipped tilemap offset for vmetal

-misc work on raidenm + new working machines (zone mini, reactor) (#6964) [David Haywood]
 * raidenm: misc work on sprites.

new WORKING machines
--------------------
Zone Mini [Sean Riddle, David Haywood]
Reactor 32-in-1 (NTSC) [Sean Riddle, David Haywood]

-hiscore.dat: update changed set names [cracyc]

New working machines
--------------------
CompuChess: The Second Edition [hap, Berger, Achim]

New working clones
------------------
Chess Intercontinental Traveler [hap, Berger, Achim]

-device.cpp, dimemory.cpp: Correct typos in comments [AJR]

new NOT_WORKING machine
-----------------------
Yataimura Kingyosukui (4-player, China, Ver 1.000) [Darksoft]

-kl5c80a12: Emulate MMU within CPU device [AJR]

-by35: correct blbeauty year, add note about empty rom [hap]

-okim9810: Modernize logging [AJR]

-sigmab98.cpp: Sammy medal game updates [AJR]
 * Eliminate hack to force starting PC
 * Switch gocowboy over to KL5C80A12 CPU device with proper MMU emulation

-Split the Williams System 11 Background Sound/Music board emulation off the 11C version into a subdevice, so the different mixing
 resistors used on the System 11C vs 11A/11B versions can be emulated. Switch Williams System 11A over to use the common Williams
 System 11 Background Sound/Music Board device. Add a device line to the Williams System 11 Background Sound/Music Board device for
 the incoming /RESET signal and hook it to the various drivers. [Lord Nightmare]

-itech8.cpp: Corrected ROM labels for Wheel of Fortune sets. [Brian Troha]

-viostorm: added needed mirror to fix a gfx issue [dink/fbneo]

-bbc_flop_torch.xml: Added compatibility filters, and corrections. [Nigel Barnes]

-bus/bbc/1mhzbus: Added the Torch Hard Disc Pack. [Nigel Barnes]

Clones promoted to working
--------------------------
Torch CH240 [Nigel Barnes]

-xmen6p: fixed some gfx issues [dink/fbneo]

-lft_craft: fix single driver compile (file was encoded ANSI instead of UTF8, genie script gave error) [hap]

-new WORKING machines (Plug and Play) (#6982) [David Haywood]

new WORKING machines
--------------------
Guitar Star (Europe, PAL) [David Haywood, Team Europe]
Sports and Dance Fit Games Mat D-555 (PAL) [David Haywood, Team Europe]
Zone 7-in-1 Sports (PAL) [David Haywood, Team Europe]
Xing Wireless Interactive TV Game 'Wi TV Zone' 48-in-1 (Europe, PAL) [David Haywood, Team Europe]

new NOT WORKING machines
------------------------
Power Rangers Super Megaforce Hero Portal [David Haywood, Team Europe]

-poly88: cleanup; sys9002: experimentation [Robbbert]

Machines promoted to working
----------------------------
Jolly Joker (original, interleaved GFX) [Roberto Fresca, Team Europe]
Jolly Joker (original, different encoded GFX) [Roberto Fresca, Team Europe]

-New original Jolly Joker sets: Added default initialized NVRAM. [Roberto Fresca]

-bus/spectrum fix expansion devices chaining [MetalliC]

-replace tkmag220 ROM with correct dump [TeamEurope]

-jolyjokrp improvements: [Roberto Fresca]
 * Fixed graphics, remove the MACHINE_IMPERFECT_GRAPHICS flag.
 * changed game description to "Jolly Joker (original program, interleaved GFX, no logo).

-New machines marked as NOT_WORKING (#6970) [ClawGrip]

New machines marked as NOT_WORKING
----------------------------------
ProSPDP [jordigahan, ClawGrip]

New working machines
--------------------
Chess Challenger (model UCC10, 10 levels) [hap, Berger, Achim]

-Added netlist-based audio to early Cinematronics vector games (#6979) [Aaron Giles]
 * Added netlist simulations for the following games: Space War, Barrier, Star Hawk, Speed Freak, Star Castle, War of the Worlds,
    Sundance, Tail Gunner, Rip Off, Armor Attack, Warrior, Solar Quest, Boxing Bugs. Removed previous samples-based sound.
    [Aaron Giles, Couriersud]
 * Added built-in minimal artwork for Warrior. [Aaron Giles]
 * Changed speaker maximum sample tracking to be based on new compile-time define SPEAKER_TRACK_MAX_SAMPLE instead of MAME_DEBUG.
    [Aaron Giles]
 * Modernized 74164 and 74393 netlist TTL devices. [Aaron Giles]

-savant: small correction to svg [hap]

-galaxy: cleanup [Robbbert]

-mw8080bw: spcenctr romlabel corrections from andy [hap]

-Revert "savant: small correction to svg" [hap]
 * This reverts commit 124ae351a9b2262906332b37c06cf512f652e5c0.

-misc: use u8 prefix for UTF8 strings, no need for escapes for chars below end of Cyrillic block [hap]

-removed some UTF8_ macro usage [hap]

-pecom: cleanup [Robbbert]

-machine/x68k_kbd.cpp: Modernised Unicode in strings. [Vas Crabb]

-bus/mackbd: Added Romanised text for Kana key. [Vas Crabb]

-pp01: cleanup [Robbbert]

-Overhaul travis.yml in an attempt to speed up macos builds (#6988) [Julian Sikorski]

-Switch appveyor GCC build to -O3 (issue 6804) (#6987) [Julian Sikorski]

-mw8080bw: improvements to 280zzzap netlist audio (#6984) [Colin Douglas Howell]
 * mw8080bw: improvements to 280zzzap netlist audio
   - Noise-based sound effects corrected. The original strength of the zener noise voltage was about three orders of magnitude too
      low for the current being passed through a zener of this type. This prevented the noise generator from working as designed and
      made the noise far too weak for the noise-based sound effects to work properly. Those effects now sound much closer to the
      real hardware.
   - Implemented faster high-level emulation version of noise generator. (Credit to couriersud for suggesting this.) The corrected
      noise voltage made the component-level emulation of the noise generator much too demanding on the minimum timestep needed to
      produce accurate results without unrealistic voltage spikes, and so will not run accurately at reasonable emulation speeds.
      But by replacing it with a simple but effective AFUNC()-based comparator, we get a functionally similar noise signal generator
      that produces effectively identical output while still being able to run with 48 kHz static timestepping. So we get both
      decent emulation speed and correct-sounding noise effects.
   - Added output voltage clipping on post-crash sound to remove voltage spikes, resulting in a smoother, more accurate sound.
      (Credit to Aaron Giles for suggesting this clipping method.)
   - Changed output to be taken from second LM3900 output opamp (inverted signal) for smoother waveform and better tone quality.
   - Added master volume potentiometer which can be user-set, set to midpoint by default. Adjusted output scaling and offset to
      match.
   - Various explanatory comments expanded or corrected.

-New machines marked as NOT_WORKING (#6989) [ClawGrip]

New machines marked as NOT_WORKING
----------------------------------
Diana Olakoa [Victor Fernandez (City Game), ClawGrip]

-Renamed 'Microdar DPD' as 'Diana Bifuca' ('Microdar DPD' is the hardware name, not the game name) [ClawGrip]

-Rename 'microdar' as 'dibifuca' [ClawGrip]

-Add Microdard-V5 PCB ASCII layout [ClawGrip]

-ics2115.cpp: Update envelope behavior, Minor adjusts (#6983) [cam900]

-misc: correct "680000" typo [hap]

-sigmab98.cpp: Change Sammy medal games to use KL5C80A12 CPU device [AJR]

-Update Williams System 11 Background Audio Board documentation and formatting, fix a missing save state entry, and remove a few
 forgotten dead definitions in s11a.h [Lord Nightmare]

-Miscellaneous typo and detail fixes for notes in Williams System 11 BG Audio Board device and WPC Alphanumeric driver.
 [Lord Nightmare]

-New Working Clone - Slap Shot (Ver 3.0 O) [Jorge Silva]

-k053260.cpp: Allow side effects [cam900]

-bk0010: cleanup [Robbbert]

-ssystem3: add chessunit rom [Achim, Berger]

-microdar.cpp: Add EEPROM dump to 'prospdp' [jordigahan, ClawGrip]
 * I was expecting to find the machine model on the EEPROM, but there's just the string "DARTS".

-pormat -> promat (nw) [Angelo Salese]

-added Hughes HLCD 0438 LCD Driver device [hap]

-electron: Use u8 for UTF8 strings. [Nigel Barnes]

-bus/bbc/1mhzbus/torchhd: Remove imperfect disk tag. [Nigel Barnes]

-torchh: Adjust release year. [Nigel Barnes]

New NOT WORKING machines
------------------------
Unga [Robbbert]
Anakonda [Robbbert]
Kharkovsky [Robbbert]

-sigmab98.cpp: Execute enough of the Sammy medal game BIOS to initialize things properly [AJR]

-dgpix: profiling says 40% of the time is spend calling describe_context() and not using the result.  [O. Galibert]

-electron: Use \u notation for utf8 arrows, and remove BOM. [Nigel Barnes]

-sys9002: removed no-longer-needed comment [Robbbert]

New working clones
------------------
Race Drivin' (compact, prototype) [andynumbers, The Dumping Union]

-galaxian.cpp: consolidated sirio2, sirio2a and a third dump in a single correctly dumped set. All three had corrupted ROMs.
 [Ivan Vangelista]

-ssystem3: preliminary i/o for chessunit [hap]

-harddriv.cpp: Use hand written labels for the Race Drivin' (compact, prototype) set which shows checksum and build date. [braintro]

-New Working Clone - Double Wings (set 2) [Jorge Silva]

-Revert "ics2115.cpp: Update envelope behavior, Minor adjusts (#6983)" (#7000) [cam900]
 * ics2115.cpp: Constant usage, add notes, fix noise in some early PGM games

-new NOT WORKING machines (Plug and Play) + improved MPU4 descriptions, splitting, correct utf8 use (#6999) [David Haywood]

new NOT WORKING machines
------------------------
Lexibook Console Colour - Minnie Mouse [Team Europe]
Lexibook Console Colour - Disney's Planes [Team Europe]

-improved descriptions of several mpu4vid sets based on boot information [David Haywood]

-Add new option beam_dot_size that controls the rendered size of 'dots' in vector games. (#6993) [Aaron Giles]

-gigatron: add DAC (#6977) [Sterophonick]
 * gigatron: add DAC, clean up, and do a bit of work on port OUTX

-pgm.cpp: Use struct for sprites, Use raw parameters for screen (#6971) [cam900]
 * pgm.cpp: fix timing of intro sequences in some games.
 * pgm.cpp: Use generic gfx layout for foreground, Move VBlank IRQ into screen_vblank, Reduce duplicates, Add notes

-bus/spectrum: add common printer interfaces: ZX Lprint, ZX Lprint III, Kempston Centronics E Interface ('flat' and 'upright'
 models) [MetalliC]

-galaxian:sirio2: added missing ')' as pointed out by MASH. [Robbbert]

-Bingor.cpp: Some cleanups, fixes and typos. [Roberto Fresca]

New machines marked as NOT_WORKING
----------------------------------
Bingo Roll / Turbo Bingo? [Team Europe, Roberto Fresca]

-cinemat.cpp: deleted obsolete comment [Ivan Vangelista]

New working clones
------------------
Super Forte (version C, V3.6) [Berger]

-Decrease noise level in Space War/Barrier to allow filtering to kick in. [Aaron Giles]

-Remove obsolete comment. [Aaron Giles]

-electron: Replaced OS/BASIC with clean 32K dump. [robcfg]

-electron: Fix ROM loading offsets for split sets. [Nigel Barnes]

-render: don't add parent set external artwork if artwork found [hap]

-netlist: nld_matrix_solver is now owned by nld_solver. [couriersud]

-netlist: fix some clang tidy warnings. [couriersud]

-netlist: add cinemat games to sub target nl. [couriersud]

-netlist: add frontier documentation [couriersud]

-netlist: Rewrote scheduler scheduling. [couriersud]
 * All solver scheduling is now handled by nld_solver.
 * Previously, for dynamic timestepping the sub solvers would be responsible for their scheduling themselves.
   - This prevented any attemps to use parallel execution of solvers.
 * Now the route is free towards experiments to use parallel execution of solvers.
 * Uses ptimed_queue_linear in solver scheduling
 * Improved netlist queue implementation (template now)
 * Added const delegates.
 * Added subsolver stats
 * Removed dead code.

-netlist: separate nl_base.h into separate header files. [couriersud]
 * This clean-up exercise will hopefully make it easier to navigate the core code. Another long term goal is to further straighten
    the object model.

-netlist: Fix clang unused variable warning. [couriersud]

-netlist: Fix format string in gcr code. [couriersud]

-netlist: include GMRES solver in build. [couriersud]
 * The GMRES solver for larger matrices (>>100) can outperform Gaussian elimination. Including it so it gets wider attention.
 * As far as I know netlist is the only SPICE-like circuit simulation providing a GMRES solver.

-netlist: document better GMRES options. [couriersud]

-netlist: Fix scheduling bug. [couriersud]

-netlist: sub solvers now have their own parameter set. [couriersud]
 * Example: PARAM(Solver.Solver_0.METHOD, "GMRES")
 * Will use the GMRES solver instead of the default MAT_CR solver.
 * Same applies to all Solver parameters.
 * Please use with care. If you change your netlist (e.g. using frontiers) the allocation of nets to solvers and the number of
    solvers may change. Thus this type of tweaking should only be used after the netlist completely works.

New machines marked as NOT_WORKING
----------------------------------
Puzzle Me! [Team Europe, Roberto Fresca]
Magic Card - Wien (Sicherheitsversion 1.2) [Team Europe, Roberto Fresca]

-8042kbdc.cpp: generate data for mouse only if mouse is enabled Now it is possible to use the nforcepc bios setup without it
 crashing. [yz70s]

New machines marked as NOT_WORKING
----------------------------------
unknown 'TE06' [Team Europe, Roberto Fresca]
Lucky 7 (Impera) [Team Europe, Roberto Fresca]

New working clones
------------------
Pipi & Bibis / Whoopee!! (Ryouta Kikaku bootleg, decrypted) [jordigahan]

-toaplan2.cpp: updated the rest of the ROM labels for pipibibsbl3 [Ivan Vangelista]

-kl5c80a12: Internalize internal RAM and clock divider; update notes [AJR]

-xmen: use shared_ptr_array [hap]

-sigmab98.cpp: Split up driver state class [AJR]

-Appveyor msys2 workaround (#7002) [Julian Sikorski]
 * Work around appveyor not being able to update msys2
 * There has been a change to msys2 package maintainers, meaning that the packages are now signed with a different key:
    https://www.msys2.org/news/#2020-06-29-new-packagers Import the new keys manually until appveyor image is updated with a new
    msys2-keyring package
 * Explicitly kill msys2 before the second pacman call

-ibm51070 - New working software list additions (#6967) [ArcadeShadow]
 * Corridor 7: Alien Invasion (demo), Maniac Mansion: Day of the Tentacle (France), Out of this World (USA, 3.5" DD), Out of this
    World (USA, 5.25" HD), Sam & Max Hit the Road (Germany)

-ibm5150 - New working software list additions (#7004) [ArcadeShadow]
 * Budokan - The Martial Spirit (5.25"), F29 Retaliator, Lakers vs Celtics and the NBA Playoffs (5.25"), Speedball 2 - Brutal Deluxe
    (USA, 5.25"), Speedball 2 - Brutal Deluxe (Euro, 3.5")

-srcclean for 0.223 [Vas Crabb]

-montec: fix lockup [hap]
 * (cherry picked from commit b7edc5e9e7ecf7f8f77e5282c0403bc762b12e0f)

-netlist: hopefully fix issue #7006 [couriersud]

-debug/debugcmd.cpp: Don't leak an open FILE when an argument is invalid and also fixed a spelling error. [Vas Crabb]
 * The saver/loadr commands should consider region endianness for portability.

-cpu/gigatron: Capitalisation of hex values was inconsistent, change it to lowercase as that tends to be the MAME standard.
 [Vas Crabb]

-machine/exorterm.cpp: Fixed inputs magically changing on reset when they shouldn't (there are still others that should be fixed).
 [Vas Crabb]

-mpu4vid.cpp: Corrected some errors in game descriptions. [Vas Crabb]

-Fixed a couple of editing errors. [Vas Crabb]
